package za.co.immedia.bitmapdownloaderexample;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import za.co.immedia.bitmapdownloader.BitmapDownloader;

public class ImageAdapter extends BaseAdapter {

	BitmapDownloader mDownloader = new BitmapDownloader(5);

	private static final String[] URLS = {
			"http://lh3.googleusercontent.com/-SJHKAxJJdPE/SzR94FrCFrI/AAAAAAAAAH4/25qv_gub0h8/s144/puppy-and-kitten.jpg",
			"http://lh3.googleusercontent.com/-4908O4TWcw4/SXo5Juk-3XI/AAAAAAAAEB0/7VIufZelxfU/s144/puppys%252520091.JPG",
			"http://lh5.googleusercontent.com/-muOlmYsUWYw/TdCdDLooVVI/AAAAAAAABxo/7G5Nl7KLK7M/s144/02%252520Blonde%252520Girl%252520%252528Portrait%252529.jpg",
			"http://lh6.googleusercontent.com/-rIGdtOeBlUQ/R_KIB7hEl1I/AAAAAAAAAS0/XzE5iiI9Boc/s144/puppy.jpg",
			"http://lh6.googleusercontent.com/-c57wYlVK6Ik/Swe8wVlx4qI/AAAAAAAABrU/Vgs_qusb_oA/s144/beagle-puppy.jpg",
			"http://lh3.googleusercontent.com/-LMUs793rAL4/SUQczGj6CBI/AAAAAAAAJqs/NLBzZMDMhS4/s144/P7300049.JPG",
			"http://lh4.googleusercontent.com/-C2Fm8VQkUwM/TfjRWOerbJI/AAAAAAAACAE/YQP4rDajfm4/s144/DSC_7716.jpg",
			"http://lh3.googleusercontent.com/-c9J5BFHab54/S1kGccgEgqI/AAAAAAAAAYk/Hr26h0G0Ykc/s144/RoyaltyFree0171.jpg",
			"http://lh3.googleusercontent.com/-yGoeFuOAtd4/Tcw7MgksUUI/AAAAAAAAwSk/YzVsshWA6AQ/s144/DSCN2277.JPG",
			"http://lh6.googleusercontent.com/-v_EWW_1ewsU/TvSzdpy_vjI/AAAAAAAAIfs/9473gxeeUds/s144/Comin-At-Ya%252521-20111221-1000.jpg",
			"http://lh3.googleusercontent.com/-xXfqZy0hxoQ/SBsw5x-AbdI/AAAAAAAAAa0/MLNcsnsvf1A/s144/Puppies-2.jpg",
			"http://lh4.googleusercontent.com/-rijzTVfdd6c/SAtLW1AJ5JI/AAAAAAAAAco/wSqZlg3ZgyM/s144/puppy-reachingout.jpg",
			"http://lh4.googleusercontent.com/-mb1n7uKbZeo/S1lFh9UD9mI/AAAAAAAAAXA/5bVqvG9atBc/s144/4875520.jpg",
			"http://lh3.googleusercontent.com/-XOphB6_nlnU/SV_SQmJV3sI/AAAAAAAAAq0/qv-tIB9DbPE/s144/IMG_9611.JPG",
			"http://lh5.googleusercontent.com/-T08b-5cN9aU/TdCde-VVv_I/AAAAAAAABy0/wzPCQ6NukmM/s144/18%252520No-Name%252520Boy%252520%252528Portrait%252529.jpg",
			"http://lh4.googleusercontent.com/-HEBtWVlC9zc/SLotyssfOXI/AAAAAAAAAOI/OydmFSEowu0/s144/sweet-puppies-02.jpg",
			"http://lh4.googleusercontent.com/-nY8J_fcPMis/SRxhcAqjIjI/AAAAAAAAAcM/STTAdIKIBH0/s144/11-12-2008_Puppies_037.jpg",
			"http://lh3.googleusercontent.com/-AlWE4oKovu0/Sq6eBZ3jjeI/AAAAAAAADw8/IOWHlTjCvNM/s144/DSC_1869.JPG",
			"http://lh3.googleusercontent.com/-1uvabWQkET4/Sb8d0dGOWmI/AAAAAAAAACk/wNXXnK9MQI0/s144/puppy%252520day%252520005.jpg",
			"http://lh3.googleusercontent.com/-xLL9AkPib14/Sbdkn-5YMBI/AAAAAAAAAKE/WqQlieJu6Fk/s144/leftyback-ss.jpg",
			"http://lh6.googleusercontent.com/-K04YNr1T5PU/S0WsPpNapVI/AAAAAAAAAGU/r2vU66H-Lug/s144/DSC01996.JPG",
			"http://lh6.googleusercontent.com/-dYuZDWsufI0/TftjoR75FsI/AAAAAAAACT0/XZqYp6Y5Wew/s144/transfer%252520using%252520showzey.jpg",
			"http://lh6.googleusercontent.com/-AZ_WnN-Xj3s/SZhy1lDf7gI/AAAAAAAAATo/PRKPMeCVL8I/s144/happy-puppy.jpg",
			"http://lh4.googleusercontent.com/-4FtLX6JueBk/SSFvmoYIo1I/AAAAAAAAAk8/mWAjG0dtIgk/s144/ist2_3020493-english-bulldog-puppy.jpg",
			"http://lh5.googleusercontent.com/-aYsUloGlS1o/Tc6LQYTxiFI/AAAAAAAABcY/6KFzx5wjJ_g/s144/Puppy%252520Cake%252520%2525282%252529.JPG",
			"http://lh4.googleusercontent.com/-4dmm_X6HNb0/SHvi26UFPkI/AAAAAAAAAt4/mvgLwkH-KCI/s144/Puppy%252520Yellow%2525203.jpg",
			"http://lh3.googleusercontent.com/-AOKI3yvHuyI/SGCD6a4VMFI/AAAAAAAABNU/_sCIwGyroiA/s144/Puppy%252520-14.jpg",
			"http://lh3.googleusercontent.com/-DjiSLK4EIgU/Sap9ICWccmI/AAAAAAAAAOY/YlcBPH6VVvM/s144/19-12-08_1739.jpg",
			"http://lh6.googleusercontent.com/-Mkk0SowWK2U/SWFZYVPvC3I/AAAAAAAAzWg/o5PZTdQpeMw/s144/Testing%2525205D%252520038.JPG",
			"http://lh4.googleusercontent.com/-Y6W1c9hlPqk/SPNwSC_ciMI/AAAAAAAABrg/yh9gMGmJ_SA/s144/puppies%252520115.jpg",
			"http://lh5.googleusercontent.com/-IWTaU1O-osY/SW9NfWgQRjI/AAAAAAAAAxE/gtOqAHGO8Cw/s144/puppies.jpg",
			"http://lh4.googleusercontent.com/-tOcDAMnZdT0/SETM4EmXqDI/AAAAAAAADJw/Vgg9dXNZG1k/s144/IMG_5253.jpg",
			"http://lh6.googleusercontent.com/-8eLEuxmfoMQ/R575eIDjJSI/AAAAAAAAOzU/_tizyzVmnxY/s144/cute-daschund-puppy.jpg",
			"http://lh4.googleusercontent.com/-FO5l-QsNjeg/S1GhimBcbII/AAAAAAAAAbM/HqQdoYHqIQQ/s144/dog-picture-diesel-as-puppy-x-gixxie-x-dog.jpg",
			"http://lh3.googleusercontent.com/-Kod6_udcJXA/Sap83FVI0ZI/AAAAAAAAAN4/pxbEkbRhIJ8/s144/19-12-08_1743.jpg",
			"http://lh6.googleusercontent.com/-k3yL2E4_nQI/Tcv_CRlZcHI/AAAAAAAAAEE/xjjcgWE2D8g/s144/puppy.jpg",
			"http://lh6.googleusercontent.com/-jdN5EQfaz5U/S2gBN-Gi1WI/AAAAAAAAAuk/JhHBZ-jMqKs/s144/Golden-Retriever-Puppy-1600x1200-2.jpg",
			"http://lh4.googleusercontent.com/-pU_TXiuKmjc/S2TljMdf6DI/AAAAAAAABP0/u91AGcCfIyc/s144/Dharma%252527s%25252009%252520puppies%252520049.JPG",
			"http://lh3.googleusercontent.com/-diMT-zia-ao/Sck1CNo1LgI/AAAAAAAAAhk/-jTXZZ3Q67w/s144/DSC08857.JPG",
			"http://lh3.googleusercontent.com/-I2aQRfbOY1E/SYAvKy0v2VI/AAAAAAAAAQE/oR0BCDjIZY8/s144/009_670-001%25257EBetty-Boop-A-Boop-and-Her-Puppy-Posters.jpg",
			"http://lh4.googleusercontent.com/-oSw_0bbsKVE/S2Wnj_LLgHI/AAAAAAAAFEc/kG4eI97O7DY/s144/puppy.JPG",
			"http://lh5.googleusercontent.com/-FgHAurJ_Cg8/SLgb3rj-zPI/AAAAAAAAC1Q/AFleYzs88B0/s144/five%252520puppies%252520were%252520given%252520the%252520names%252520Beibei%25252C%252520Jinjin%25252C%252520Huanhuan%25252C%252520Yingying%252520and%252520Nini%25252C%252520according%252520to%252520names%252520of%252520the%252520five%252520Beijing%252520Olympic%252520mascots.jpg",
			"http://lh5.googleusercontent.com/-q5S4GzE4heM/SxV34XpGVwI/AAAAAAAABt4/Hzy09J3HOpo/s144/puppies%252520319.jpg",
			"http://lh5.googleusercontent.com/-sBMf-ueKxdY/SdYE4-pTOJI/AAAAAAAAALg/aFJmLkFGp4U/s144/Siberian-Husky-Puppy-5.jpg",
			"http://lh3.googleusercontent.com/-HTxvPTBvEQ0/SXyslOLOZ4I/AAAAAAAABAc/Kxe0AlxJSY8/s144/Silly%252520Dog.jpg",
			"http://lh4.googleusercontent.com/-S-Uru5KP6Hc/SxV35qxkm_I/AAAAAAAABuE/ApCNy74J-d4/s144/puppies%252520316.jpg",
			"http://lh3.googleusercontent.com/-uCKx6r1xrZI/SZhyyic0f7I/AAAAAAAAATA/73oUPfGGNHc/s144/sleeping-puppy.jpg",
			"http://lh5.googleusercontent.com/-JEut8aDBDeM/SXzrnJKYDsI/AAAAAAAAAuM/20GIuRZ2F08/s144/The%252520Boys0041.jpg",
			"http://lh6.googleusercontent.com/-3MtO8Pj8Oz8/SdfhRgzsWvI/AAAAAAAAEXk/0MR8SWVtnnE/s144/Piggy%252520Puppy%252520Pictures%252520231.JPG",
			"http://lh3.googleusercontent.com/-LCPFddoLhV8/SUQaFTG9-uI/AAAAAAAAI_w/Dxq8SUDTfS4/s144/FebKitty40.jpg",
			"http://lh3.googleusercontent.com/-pO-xA1_j4lo/SIOJf1Zo1jI/AAAAAAAAANI/iu3g_VBm4ys/s144/DSCN0942_edited-1.JPG",
			"http://lh5.googleusercontent.com/-ZJzCKsI1pIE/SU4V5bvdRzI/AAAAAAAAA6w/raoJMbC8uQk/s144/AllDay.ru_Pretty%252520Puppy%252520and%252520Calico%252520Kitten.jpg",
			"http://lh3.googleusercontent.com/-EUbFaweVZHE/SwpDaQh7pOI/AAAAAAAAAEo/1SnJNrV4CCc/s144/Puppy.jpg",
			"http://lh4.googleusercontent.com/--zzJNdHy35M/TvSzsXkqsZI/AAAAAAAAHis/vV8ZS9mt_2o/s144/Black-and-Tan-Dachshund-Puppy-20111218-1001.jpg",
			"http://lh3.googleusercontent.com/-0BLQPXmptkU/SWylTvXspZI/AAAAAAAAAUE/Rmp39rhm778/s144/Dachshund%252520Puppy.jpg",
			"http://lh5.googleusercontent.com/-qZtF_5vA_BA/Sa6cVK2qDHI/AAAAAAAADrc/TwVkWSbB6H8/s144/Kadus%252520and%252520Puppy-7.jpg",
			"http://lh3.googleusercontent.com/-zycRMOMnlRo/S3opL6V56aI/AAAAAAAAAGc/iC6BRKIIqJM/s144/cute-puppy-gallery-02-Large.jpg",
			"http://lh3.googleusercontent.com/-Vxb1EadA0K4/Sef1HxC4bBI/AAAAAAAAABg/0pSEJafpEX8/s144/IMG_0528.jpg",
			"http://lh3.googleusercontent.com/-DiQwNCR_PTI/Sa6cUKtQmuI/AAAAAAAADrE/c2qehNlzx2U/s144/Kadus%252520and%252520Puppy-4.jpg",
			"http://lh5.googleusercontent.com/-7TjTlr3atgY/Sap55_GH_YI/AAAAAAAAAIs/8LeSn5B4fHY/s144/19-12-08_1734.jpg",
			"http://lh6.googleusercontent.com/-wjDFl6C78S8/Sv8K-VGNffI/AAAAAAAAGy0/nMRI-mvy5eM/s144/IMG%252520085.jpg",
			"http://lh4.googleusercontent.com/-_a5Z0b-p3Uk/SWyev7UkDSI/AAAAAAAAALk/s_f6-lUO484/s144/Beagle%252520Puppies.jpg",
			"http://lh6.googleusercontent.com/-SZDivBAhGeg/SWFZZOq8Y2I/AAAAAAAAzWs/087MFZ-wAVM/s144/Testing%2525205D%252520039.JPG",
			"http://lh6.googleusercontent.com/-V8Fma8c8ocs/S19L20_n1PI/AAAAAAAAACQ/eM-uXtRPFdI/s144/images-4.jpeg",
			"http://lh5.googleusercontent.com/-z3M_bVzQq6A/SaBc9KvQB8I/AAAAAAAAACA/Q0LGKVtoDxc/s144/scred%252520sabel%252520puppies%252520Dachshunds.jpg",
			"http://lh4.googleusercontent.com/-aObq3OtcfnA/STwO85aAIhI/AAAAAAAAHWQ/x3vln4LdJKc/s144/P1000102.JPG",
			"http://lh4.googleusercontent.com/-teZIdgj8jiw/SId4r1A1TRI/AAAAAAAAE-U/ziIU_urha08/s144/Puppy.jpg",
			"http://lh4.googleusercontent.com/-OZW0QhWfwMs/R7ssICEQqjI/AAAAAAAAAHw/itTL4RnF--w/s144/puppy.jpg",
			"http://lh4.googleusercontent.com/-VQ2rtWot3DY/SBzoh8x4RCI/AAAAAAAAAFE/IFRQLGek4C0/s144/little%252520puppy.JPG",
			"http://lh5.googleusercontent.com/-H6lrJkCl5hY/SZVa6smdy5I/AAAAAAAAH5o/__r1noiYmPI/s144/IMG_4970.JPG",
			"http://lh6.googleusercontent.com/-S1jvgLW5x-g/R8GQszMNAxI/AAAAAAAAA94/m3y0qqwWv_4/s144/lek_1.jpg",
			"http://lh6.googleusercontent.com/-1rDyxyLyA6Q/Sap8aG63KsI/AAAAAAAAANI/rm92M5qiOPU/s144/19-12-08_1749.jpg",
			"http://lh3.googleusercontent.com/-GmjNmimHhco/SxC5BKd6EII/AAAAAAAAC5I/_QzCT8X4F3I/s144/Panda%252520our%252520puppy%252520%2525207%252520weeks%252520old.%25252024%252520Oct%25252007%252520020.jpg",
			"http://lh4.googleusercontent.com/-JJDlQZLSMJ0/R94BHvg77BI/AAAAAAAAEWo/AbXX5s0l3Tg/s144/DSC02361.jpg",
			"http://lh5.googleusercontent.com/-6a-X_iX_oD4/Sa6cVy4363I/AAAAAAAADrk/XitFoF_VITI/s144/Kadus%252520and%252520Puppy-8.jpg",
			"http://lh4.googleusercontent.com/-_Bt_qWnCkk0/Tcs8i2f9TdI/AAAAAAAAAAg/FUs1midTDoY/s144/160504-thumbnail.jpg",
			"http://lh3.googleusercontent.com/-q2KPZ1fYckk/SO4r-z7tZGI/AAAAAAAAAhI/nly0c71k80c/s144/puppy%252520training20.JPG",
			"http://lh5.googleusercontent.com/-25CNsg51kpw/S4S55sH2K0I/AAAAAAAAHf4/upHNdoWd1RE/s144/KDM_0010.JPG",
			"http://lh6.googleusercontent.com/-zDwQk3dQ6l8/R9VGpql2BJI/AAAAAAAAAOU/ClTg7fbCEuQ/s144/puppy.gif.jpg",
			"http://lh6.googleusercontent.com/-Amb4FEBU_6Y/SRj-odooW7I/AAAAAAAACRo/2UugehNv0Wc/s144/Miley-14.jpg",
			"http://lh6.googleusercontent.com/-vCc8-vWz2DU/Swui-gToZXI/AAAAAAAAANM/GfIrKs8CuOc/s144/Boxer-Puppy.jpg",
			"http://lh6.googleusercontent.com/-b_snyotlDmE/Sf7-kbLGd0I/AAAAAAAADZ0/B8h-JlaStn0/s144/Brian_garden_008.JPG",
			"http://lh6.googleusercontent.com/-mQhQ02vF_3M/R-aFygc5KOI/AAAAAAAAApI/I2jKavARRz4/s144/Puppy%252520-%252520Pchorsedoc.jpg",
			"http://lh6.googleusercontent.com/-Q16wo7x0Dfc/TdCzQjpjy4I/AAAAAAAAA5o/yKDbabFFIFA/s144/IMG_3300.jpg",
			"http://lh3.googleusercontent.com/-SMpcoTgk13c/Se2CDZD4ACI/AAAAAAAAABo/y2m50Rj3h4k/s144/golden-retrievers-puppies.jpg",
			"http://lh4.googleusercontent.com/-uTI5yEKP8Kw/R42-0nXk6bI/AAAAAAAAE_U/0E54AM0rgdU/s144/Puppies%252520%25252810%252529.jpg",
			"http://lh5.googleusercontent.com/-DlSM8D8314o/SwUZAdqi1hI/AAAAAAAAB-M/L7XplWqUekE/s144/Cute%252520Puppies.jpg",
			"http://lh4.googleusercontent.com/-Ls9ZLRIBCSY/SzplJBS197I/AAAAAAAASJw/ylwKxdYRol4/s144/PC270240.JPG",
			"http://lh5.googleusercontent.com/-BG2wQ1UoLWw/S1UcMB1bKJI/AAAAAAAAEgE/iHhpbl3pFxA/s144/cute-puppy-pictures-doorbell-scared.jpg",
			"http://lh4.googleusercontent.com/--9Gb0odF148/SHr4imiTlTI/AAAAAAAABns/ierLfcXCa1I/s144/A%252520chihuahua%252520puppy%252520008%252520%2525282%252529.jpg",
			"http://lh5.googleusercontent.com/-rJN3aMMJisA/SOfgG2AyKXI/AAAAAAAAAkY/b0mMMccEIq8/s144/Puppy%252520Larkin%252520Early%252520Fall%2525202008%252520102.JPG",
			"http://lh5.googleusercontent.com/-HU6Su791IoQ/R9MAeFxlLzI/AAAAAAAAR6c/y1puBOyuWyg/s144/2008.03.08.puppies%252520%25252823%252529.JPG",
			"http://lh5.googleusercontent.com/-vkr6jNpAheo/SdCVzYELfhI/AAAAAAAACZk/xhkPVpWYtN0/s144/Puppies%25252028-03-2009%25252014-02-16.JPG",
			"http://lh6.googleusercontent.com/-c-KrAd8VY64/SFn5XITYVJI/AAAAAAAAC8w/ihYnN2bHTcE/s144/cutest%252520puppy.jpg",
			"http://lh3.googleusercontent.com/-onOB0wyKm4k/SDTrz5xf-lI/AAAAAAAAAy4/cM26DmHq9Nc/s144/funny-lost-puppy-cartoon-comic-strip-pet-humor-pic.jpg",
			"http://lh5.googleusercontent.com/-k00ZBCd9jH8/SO4sQbI9dAI/AAAAAAAAAl8/wFPlV8S9EN0/s144/puppy%252520training58.JPG",
			"http://lh3.googleusercontent.com/-xkP_h4lQbP0/S2ixH-zjkJI/AAAAAAAAB04/_rLwbv5RvGw/s144/Dharma%252527s%25252009%252520puppies%252520013.JPG",
			"http://lh5.googleusercontent.com/-6Ibi7MggYrw/SKF8i7n40kI/AAAAAAAABRE/EdftpJ1bJ3k/s144/Puppy%252520With%252520Rose%252520In%252520Mouth.jpg",
			"http://lh5.googleusercontent.com/-1Un7hc0i3Vw/Sap58_MTwUI/AAAAAAAAAI0/h_n0jA3NWtQ/s144/19-12-08_1733.jpg",
			"http://lh4.googleusercontent.com/-_FFpbjb8EB0/SPVcOAGGHlI/AAAAAAAAI9U/XHGH6831X_c/s144/Chloe%252520%252528Big%252520Camera%252529%252520007.JPG",
			"http://lh4.googleusercontent.com/-YYq5yBzM6vA/SSHXGUQBkYI/AAAAAAAABVI/UxTsXlOjrW8/s144/election%25252C%252520tahoe%25252C%252520puppy%252520128.jpg",
			"http://lh5.googleusercontent.com/-2NzB6k113Mg/SLLijUvRu7I/AAAAAAAACg8/J2oFuLEbh-g/s144/DSC07819.JPG",
			"http://lh6.googleusercontent.com/-BKRVRSlh3yI/SdCV0GVltsI/AAAAAAAACZ0/jlCyTinneRs/s144/Puppies%25252028-03-2009%25252014-02-19.JPG",
			"http://lh4.googleusercontent.com/-N8ExVJ_MMOc/ScyFLOK7DtI/AAAAAAAAHZc/7ON8veMYG-I/s144/wet-puppy-cat.jpg",
			"http://lh3.googleusercontent.com/-n8FGhzAekhY/SLNtt4qM0yI/AAAAAAAABU4/-A_6VAOEQGM/s144/Puppy%2525203.JPG",
			"http://lh5.googleusercontent.com/-YIFtEQfQIxw/SXPqwQlogRI/AAAAAAAABrY/9AMu4mr5ssk/s144/Puppy%2525203.JPG",
			"http://lh4.googleusercontent.com/-7id9a2bf1N0/SZpOC-pSQKI/AAAAAAAAAEY/xiPx38lt1qM/s144/zooby.zooby.jpg",
			"http://lh6.googleusercontent.com/-HaJG9bYQKv0/Swdx_RU9q5I/AAAAAAAABqs/6iBbq-anhFk/s144/Mike%252520%252526%252520puppy.jpg",
			"http://lh4.googleusercontent.com/-b_R5B_Rc_2s/R-750lw7a7I/AAAAAAAAGCo/tVFTdqlsiqY/s144/puppy%252520016.jpg",
			"http://lh3.googleusercontent.com/-jCti6_xAYzg/SadfjlcNK2I/AAAAAAAAApc/mylIFzkzYps/s144/Puppy%252520pic.jpg",
			"http://lh3.googleusercontent.com/-TR0UvYAbC38/S2ix6N4iBNI/AAAAAAAAB3M/EWjuP_5-h7o/s144/Dharma%252527s%25252009%252520puppies%252520049.JPG",
			"http://lh4.googleusercontent.com/-wmohM4FjZrE/SRtQO8DFMDI/AAAAAAAAAMg/F_dqlMrOSnI/s144/Tired%252520Puppy.jpg",
			"http://lh4.googleusercontent.com/-2ZU7kxefYMY/SLX43L-2wdI/AAAAAAAADDw/JlcY2SFZOcg/s144/Puppies%252520III%252520191.JPG",
			"http://lh3.googleusercontent.com/-YO1LJTuLxs8/SzcM7K9D6II/AAAAAAAAArc/lheUdfiVbs0/s144/puppy.jpg",
			"http://lh4.googleusercontent.com/-gPcXPJ2KHmM/STWcvcndrAI/AAAAAAAADco/vQAuLOCu-gw/s144/Puppies%252520sale%252520002.jpg",
			"http://lh6.googleusercontent.com/-JfPqSddnZ2g/Sap9XkS55NI/AAAAAAAAAOw/BRhUvNtiMy4/s144/19-12-08_1736.jpg",
			"http://lh4.googleusercontent.com/-GhDL1qKIpGc/SaQr3ZAeVVI/AAAAAAAAAHU/F1bzClZULd4/s144/010509_1516%25255B00%25255D.jpg",
			"http://lh5.googleusercontent.com/-ZHz-gBEOriI/SCHKqa7WslI/AAAAAAAAAE4/WQp7pAaXNtY/s144/Cute%252520Puppy.jpg",
			"http://lh4.googleusercontent.com/-h6NgLqx2hu8/TlbRNH3BUgI/AAAAAAAAAEY/Z_3iqkZyo6A/s144/wrinkly-puppy.jpg",
			"http://lh4.googleusercontent.com/-g9VdekgHMKs/SfD_bv69mKI/AAAAAAAAFVM/aPv1CiTwtvI/s144/nicole%252520and%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-eMa_4qerzQA/SRoaxtvVpQI/AAAAAAAABZE/6TehF1kx9W0/s144/puppies%252520030.jpg",
			"http://lh4.googleusercontent.com/-uaGsaZxvWJE/Sap9bS6Yk0I/AAAAAAAAAO4/4D63SE31sTY/s144/19-12-08_1735.jpg",
			"http://lh4.googleusercontent.com/-IluUtWuOSuw/R4bT3mvDbdI/AAAAAAAABvw/c4d8GXiKtOo/s144/Puppies%252520016.jpg",
			"http://lh5.googleusercontent.com/-psKfwO12uCQ/SAvQk0_GrDI/AAAAAAAAAzQ/jJDqZUNfDGM/s144/april%25252020%25252008%252520pillow.jpg",
			"http://lh5.googleusercontent.com/-Pfp1RmtV7Ts/ScwuI5xtrwI/AAAAAAAAAf0/OKmQU28DaaE/s144/New%252520puppy.JPG",
			"http://lh6.googleusercontent.com/-OpSgRQLd4hc/SEa9jjxVWGI/AAAAAAAAARI/LGXOgbQiv6I/s144/first%252520puppy%252520food.jpg",
			"http://lh5.googleusercontent.com/-fcIOrLOcKQQ/SSwUuz5hINI/AAAAAAAAXfs/ID9SXSEh5jI/s144/mardiwoof_puppy_purse.jpg",
			"http://lh5.googleusercontent.com/-X1jAxqlK_aE/SchznTgHe7I/AAAAAAAABaM/nLdYK6MyQFU/s144/puppies%252520week%2525202%252520107.jpg",
			"http://lh3.googleusercontent.com/-QPJitESjuhQ/SBthD_IkZhI/AAAAAAAADis/kggNgTmDBcQ/s144/IMG_4494.JPG",
			"http://lh3.googleusercontent.com/-Grf0k30zVhg/Sa6cWNDITRI/AAAAAAAADrs/ar-Xi0BV0Ew/s144/Kadus%252520and%252520Puppy-9.jpg",
			"http://lh4.googleusercontent.com/-V3GXr4liLpM/Sap7CEptsKI/AAAAAAAAAKY/04s_2xtV7Xg/s144/19-12-08_1815.jpg",
			"http://lh4.googleusercontent.com/-y1mY57rXDR4/SAzUkwGM9yI/AAAAAAAAApU/DkCjeIyAyyA/s144/Puppy%252520%25252310.jpg",
			"http://lh5.googleusercontent.com/-QEfiE_rXM0E/SeoCoD5iUqI/AAAAAAAAAY8/_-qRjuOfcfw/s144/cute-daschund-puppy.jpg",
			"http://lh6.googleusercontent.com/-CFPq9p35j8M/Sap6gfjqwZI/AAAAAAAAAJk/YlvbRVkf0jg/s144/26-02-08_1148.jpg",
			"http://lh4.googleusercontent.com/-IciDTjzGNXo/SfffLVNDOLI/AAAAAAAAALE/yds1CHq74Yk/s144/Puppy%252520pics%252520046.jpg",
			"http://lh5.googleusercontent.com/-sq0JD-Osq74/SUWKT5SYP7I/AAAAAAAAAWM/eflAwnQnq2g/s144/puppy%252520dierks%252520039.jpg",
			"http://lh6.googleusercontent.com/-keHHHjl_QLU/SaRa-E6JY6I/AAAAAAAABBY/IoMfVriWxUs/s144/me%252520and%252520the%252520puppy%252520%2525281%252529.jpg",
			"http://lh6.googleusercontent.com/-QxfdJuwriek/TdBR3PX1eYI/AAAAAAAAAhc/vvFlSY3kVuM/s144/cute-puppy-gallery-02-large.jpg",
			"http://lh6.googleusercontent.com/-VLiVJY93U4c/SaSnurxneOI/AAAAAAAAAC0/7BsuRIOgU40/s144/Puppies022209_003.jpg",
			"http://lh4.googleusercontent.com/-D8LcWx5tASI/SXkg4i5UB9I/AAAAAAAAAVM/Ax5OTyHxVfc/s144/2008A2%252520Maggie-Puppy%252520Love.JPG",
			"http://lh6.googleusercontent.com/-FKAF4FA5yho/SXOIbD-m8SI/AAAAAAAADCc/bzRFf7FkvUA/s144/IMG_3258.JPG",
			"http://lh3.googleusercontent.com/-LcI4Dj6JoGQ/SYUAGagYeNI/AAAAAAAAKAY/559tyTiIHOA/s144/Puppies%252520Day%2525201%252520014.jpg",
			"http://lh5.googleusercontent.com/-vyVz2Vf6_NI/R9nYfTlKlBI/AAAAAAAAAOQ/V5zSVLA3Whw/s144/loldogs-cute-puppy-pictures-offduty.jpg",
			"http://lh4.googleusercontent.com/-INA9_7Nt7Zw/SWpiCoSL9pI/AAAAAAAAI70/kDsFn2Ye8cc/s144/puppy.jpg",
			"http://lh5.googleusercontent.com/-muqm7W1yedo/TvSzsOtUyBI/AAAAAAAAHik/kJJIDXwbfvw/s144/Brown-Dachshund-Puppy-20111218-1002.jpg",
			"http://lh6.googleusercontent.com/-G56vWoLdJkk/Sf7_hXbar4I/AAAAAAAADbk/lY4UvX5XydY/s144/Brian_garden_022.JPG",
			"http://lh5.googleusercontent.com/-E4tQkwQlx0U/SSGYYFi_uDI/AAAAAAAAAZg/zLH18KZz5bc/s144/puppy%252520018.jpg",
			"http://lh3.googleusercontent.com/-ZbBN3GXiixM/SNKbdCNYo7I/AAAAAAAAAWo/11t2aKN_aE0/s144/puppy%252520110.jpg",
			"http://lh3.googleusercontent.com/-sA3FhEcfuwE/Sa6cTXmvc5I/AAAAAAAADq0/M9TQmpWEofY/s144/Kadus%252520and%252520Puppy-2.jpg",
			"http://lh3.googleusercontent.com/-4tA7JgUqrkQ/SNaT1Y4DllI/AAAAAAAALhc/dPxrjWbp-I0/s144/_MG_0975.JPG",
			"http://lh4.googleusercontent.com/-wEj9jglDgAQ/SKFzX76TFJI/AAAAAAAAANc/WHQS2gw95ec/s144/American%252520Puppy.jpg",
			"http://lh3.googleusercontent.com/-ShLwFETLmRs/SfUOnsG71xI/AAAAAAAAAo0/XtBkJ3wi5NA/s144/Puppies%252520035.jpg",
			"http://lh4.googleusercontent.com/-qY0Nz-8dYMs/S2Tl4DA3YZI/AAAAAAAABQ4/Iw1Y4krNXxM/s144/Dharma%252527s%25252009%252520puppies%252520033.JPG",
			"http://lh5.googleusercontent.com/-8ElOykUxMdA/Sap85uBIv9I/AAAAAAAAAOA/kV73FFuPON8/s144/19-12-08_1742.jpg",
			"http://lh3.googleusercontent.com/-gQyJHb0J-50/SItPvdiKY7I/AAAAAAAABoA/hkHcYg-wxl0/s144/hanna%252520puppy.jpg",
			"http://lh5.googleusercontent.com/-zFpF18pLrWI/SZRT5PnA4cI/AAAAAAAABqw/rWpjx57ouzc/s144/IMG_8600.JPG",
			"http://lh5.googleusercontent.com/-eY0-wF6bSFU/SAzPvAGM9wI/AAAAAAAAApA/CALIybnGOSw/s144/Puppy%252520%2525238.jpg",
			"http://lh6.googleusercontent.com/-Bf4kk0NvcN8/SZrpT5kAICI/AAAAAAAAACo/HJNAd9pnBGE/s144/cute%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-1zOu7hyZupA/SyJHwcKCC-I/AAAAAAAADlg/cufUq3oluD8/s144/Christina%252520%252526%252520puppy%2525202.JPG",
			"http://lh5.googleusercontent.com/-gSm4pygTKY4/Sf7-Pe5tBPI/AAAAAAAADZU/J6fFpMM_WIM/s144/Brian_garden_004.JPG",
			"http://lh3.googleusercontent.com/-fu96TA6SBbQ/S0F2GhfbfWI/AAAAAAAACs0/WkqWbgaTyFE/s144/Mike%252520%252526%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-ZaHub76KoCQ/SRKGQucVZMI/AAAAAAAAAvY/TzKGnADiegM/s144/octnov08%252520003.jpg",
			"http://lh5.googleusercontent.com/-AbZVbnDmZoA/Sb6FhaQhr6I/AAAAAAAADNw/YSUS0aq_TX0/s144/1-huck-chinook-puppy-28.jpg",
			"http://lh4.googleusercontent.com/-pcWrP3mRDMA/SIo6WnAbF9I/AAAAAAAAASc/Gmwi34TBpCc/s144/Puppies%252520091.JPG",
			"http://lh4.googleusercontent.com/-pmrxhyp5RzA/SO4r77y6qmI/AAAAAAAAAgY/UKi8GMuSJ5M/s144/puppy%252520training14.JPG",
			"http://lh3.googleusercontent.com/-XYKiBN6rKZo/SeBSgEyeicI/AAAAAAAABXo/fUEAgnEE1b0/s144/Puppy%252520dog%252520cake%252520and%252520flood%252520pix%252520090.JPG",
			"http://lh4.googleusercontent.com/-EeT1SYQdCmQ/S4GllWH1NhI/AAAAAAAADik/7sDKW0skZws/s144/meh%252520puppy.JPG",
			"http://lh5.googleusercontent.com/-nT_h3vZEQPQ/SaQsWyNF2gI/AAAAAAAABKs/MvFk58s78nA/s144/0202_French%252520bulldog%252520puppies%2525200209_0047.jpg",
			"http://lh3.googleusercontent.com/-OnbUv68mY4E/TcwVZdmJOHI/AAAAAAAAAjg/JVw4UbRNnsY/s144/en.wikipedia.org%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-EpelGL2NCno/SczEW-rO6hI/AAAAAAAACsk/h9OzcFGcjCY/s144/1920DOG_8017.jpg",
			"http://lh4.googleusercontent.com/-9vTvstYv_0s/SXyTMePqjwI/AAAAAAAADW8/5lCq449ejPY/s144/BBC-EastEnders-Puppy-Love-Wk-5-Jan09-Soap-Spoilers-3.jpg",
			"http://lh5.googleusercontent.com/-9Z_Ux_ue6P4/ScgoU6-VVuI/AAAAAAAABLY/yJ_uUJW53T4/s144/puppy%252520Lilly-1.jpg",
			"http://lh3.googleusercontent.com/-pyfBxrexGd4/SEnrLXM0diI/AAAAAAAAGFk/P7kigDaUhBA/s144/Jet%25252BMaya%25252Bpuppies%252520039.jpg",
			"http://lh5.googleusercontent.com/--9KMAB6Xb5M/SbNEu9jK0vI/AAAAAAAAATA/PBLlZ1A5pNk/s144/SimplyIrresistable3.jpg",
			"http://lh4.googleusercontent.com/-x_cIy6ktFjw/S0_eH1fJG5I/AAAAAAAAV2w/9AqzWclp_mo/s144/French%252520Bulldog%252520puppies%252520comment.jpg",
			"http://lh5.googleusercontent.com/-EYfE2UOmJAQ/S2TmXAsMkWI/AAAAAAAABSM/xScsv0DLlKs/s144/Dharma%252527s%25252009%252520puppies%252520013.JPG",
			"http://lh3.googleusercontent.com/-62X2Ao8ULMQ/S2iqosZQtHI/AAAAAAAAAZU/dYu2jl80-Kg/s144/Bella%252520and%252520Puppies%252520055.jpg",
			"http://lh5.googleusercontent.com/-FM2BH4mZIIQ/R8tioXNAkII/AAAAAAAAESM/6Q4u6abrYDE/s144/DSC_0046%252520dave%252520looking%252520at%252520all%252520the%252520golden%252520retriever%252520puppies%252520en%252520az.jpg",
			"http://lh5.googleusercontent.com/-Q2Xwzq3q0Mk/SxpQMLFKZFI/AAAAAAAACLI/b4IHzmJ5fyM/s144/puppy%252520paws%252520sm.jpg",
			"http://lh5.googleusercontent.com/-q5a-duAphV0/SZd8m-oGSWI/AAAAAAAABIo/gUYknfm0BVU/s144/flower_8%252520Blue%252520puppy.JPG",
			"http://lh5.googleusercontent.com/-AzKgxQzBvWE/R5QHkUr7ViI/AAAAAAAAByE/5BPuuLdBWzo/s144/New%252520Puppy%252520First%252520Day%252520042.JPG",
			"http://lh6.googleusercontent.com/-lhb3ZMvH_Ck/SYU8UXpLqtI/AAAAAAAAAn0/L3AsTN87ni0/s144/Lilly%252527s%252520Puppies%252520085.jpg",
			"http://lh4.googleusercontent.com/-Y1lp9tJk0IE/S2csdmgGHrI/AAAAAAAAAPA/31rw9BJC_f8/s144/dragonflies%25252C%252520baseball%252520and%252520puppy%252521%252520158.JPG",
			"http://lh3.googleusercontent.com/-gcnQ7-rM3Lo/SRj-nerpK4I/AAAAAAAACRY/7UBctAAi4yo/s144/Miley-12.jpg",
			"http://lh6.googleusercontent.com/-hupUQsf5918/SYtC7E1iB2I/AAAAAAAAEGk/vBzxUVq6HmM/s144/tintins%252520babbys%252520008.JPG",
			"http://lh6.googleusercontent.com/-nYKt3up5mug/SAzPvQGM9xI/AAAAAAAAApI/R49WzEGZ3Ys/s144/Puppy%252520%2525239.jpg",
			"http://lh6.googleusercontent.com/-KaKQ3rKfqHo/SA8ylICqN3I/AAAAAAAAAK4/G_Z9I8wH3bY/s144/cute-puppy-dog-wallpapers.jpg",
			"http://lh4.googleusercontent.com/-zptTi8xD84s/Szpk0ivvVOI/AAAAAAAASJI/DCPyiFOBzTk/s144/PC270259.JPG",
			"http://lh5.googleusercontent.com/-gqLGq3FQjrY/SItPzqCn0CI/AAAAAAAABp8/7-8i4HsLDP4/s144/lucy%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-RQdfgPXXoio/SGCD8z9mASI/AAAAAAAABNs/hn0W7Le_uVo/s144/Puppy%252520-17.jpg",
			"http://lh4.googleusercontent.com/-Fx1JVe3wIY8/SToEmzyWaYI/AAAAAAAAA3g/HFevuRwPCVk/s144/Puppy%252520Love%252520W%252520a%252520Paw%252520print%252520in%252520the%252520middle%252520of%252520the%252520Pink%252520Heart..jpg",
			"http://lh6.googleusercontent.com/-MyqyQNSr3PM/SaQ8rxBmZSI/AAAAAAAAAFs/6OwqG731LNQ/s144/Easter%252520Puppy.jpg",
			"http://lh6.googleusercontent.com/-CQOAbbeUfJQ/SYjXbnCniWI/AAAAAAAABD8/JZloXJcaSUs/s144/IMGP7360.jpg",
			"http://lh5.googleusercontent.com/-gwMYWuy_MJ0/SDohh1U_zLI/AAAAAAAAC1c/velfQ-S0SWE/s144/Puppies%252520-%252520Galena%252520015.jpg",
			"http://lh3.googleusercontent.com/-busZCvh8BBM/SZuyuye0iII/AAAAAAAAANs/5MZ_zWCjlRU/s144/IMG_0823.jpg",
			"http://lh3.googleusercontent.com/-Se81xt_u55c/SItPvQF-DYI/AAAAAAAABn4/pyLiFOm_Noo/s144/lucy%252520puppy%2525205.jpg",
			"http://lh4.googleusercontent.com/-bAJqdYoH0Lw/SRGmL_bPMoI/AAAAAAAAAc0/o3xcWzzI3N4/s144/beagle-puppy.jpg",
			"http://lh3.googleusercontent.com/-b0MAPZ5EAWE/R9xxQhRwp6I/AAAAAAAACD4/aN_i2aJvDcE/s144/DSC_0002.JPG",
			"http://lh6.googleusercontent.com/-jO8uNd06H8E/Tlbj935ACuI/AAAAAAAAAcA/7Bwkv566kh4/s144/IMG_7230.JPG",
			"http://lh3.googleusercontent.com/-BEQNWJUKPVo/SXIKLgTih2I/AAAAAAAAAU8/bTnY9xweYC0/s144/puppy.jpg",
			"http://lh5.googleusercontent.com/-n4f_l0YP2DE/TldBpkw_o5I/AAAAAAAAACA/4P9p7hLE9sw/s144/cute-little-puppy-.jpg",
			"http://lh5.googleusercontent.com/-pTMARxlpTMQ/SU_fraQAVkI/AAAAAAAAAdg/_R3t1h43GYQ/s144/House%252520and%252520Puppy%252520Pics%252520002.jpg",
			"http://lh4.googleusercontent.com/-2WDo55FJQ6k/SZBqqkZpkJI/AAAAAAAAACw/h5O1WFb7VM8/s144/Puppy%252520poo.jpg",
			"http://lh4.googleusercontent.com/-BXQBiJ3lW4o/R8afFhzTL1I/AAAAAAAAAZc/rwCKQnr4nZw/s144/SONY%252520PUPPY%252520SNUPI.JPG",
			"http://lh3.googleusercontent.com/-9gLZGOfupQ0/TlAsaE0axPI/AAAAAAAABBI/SsznOqKNYEY/s144/025.JPG",
			"http://lh5.googleusercontent.com/-exuv-QJGlog/SIyhKX0PJWI/AAAAAAAAACQ/wZw3iwnIFiI/s144/1155-3003%25257EGolden-Retrievers-Puppies-Posters%25255B1%25255D.jpg",
			"http://lh4.googleusercontent.com/-aqq88Qe0xig/S2ixsgQ1pWI/AAAAAAAAB2k/3__Z7yuux54/s144/Dharma%252527s%25252009%252520puppies%252520039.JPG",
			"http://lh5.googleusercontent.com/-yeIvTUocL58/R94A9_g76_I/AAAAAAAAEWY/7BShLvmjf2Q/s144/DSC02359.jpg",
			"http://lh4.googleusercontent.com/-R_NzyfKzALo/SaQsl3UY5OI/AAAAAAAABMg/6QyA7rm4Rmc/s144/0202_French%252520bulldog%252520puppies%2525200209_0083.jpg",
			"http://lh5.googleusercontent.com/-qInxaTZVaqA/Sx8tMZMAtZI/AAAAAAAAAP8/oTow4mjHip4/s144/07%252520Puppy.JPG",
			"http://lh4.googleusercontent.com/-000CZTvHCVg/TdCdQIavDTI/AAAAAAAAByQ/1ssACIfxk7w/s144/10%252520Lil%252520%252528Portrait%252529.jpg",
			"http://lh3.googleusercontent.com/-K7h-A46uPcA/SWDfe4O7SaI/AAAAAAAAE2Y/RFBSSflvMGc/s144/Puppies%252520028.jpg",
			"http://lh6.googleusercontent.com/-A5XC_KUe9DI/S1t15Z3V-bI/AAAAAAAAAW0/FB9zr43YNKU/s144/dog.jpg",
			"http://lh5.googleusercontent.com/-VhokytEN3x0/SLYEk6I_AdI/AAAAAAAAEVQ/RxDC1u72rXw/s144/JAP_6931.jpg",
			"http://lh3.googleusercontent.com/-zP14CUmRIvY/SO4r_xphAyI/AAAAAAAAAhY/2AXxNE9DRaI/s144/puppy%252520training22.JPG",
			"http://lh5.googleusercontent.com/-lqg-UYH2sHw/SK4nuFZ6mZI/AAAAAAAAAQ4/3NrTRu74oAw/s144/HKCEC%252520Puppies%252520Dogs%252520303.jpg",
			"http://lh3.googleusercontent.com/-PX8nG10tD6o/R8znQb_RkDI/AAAAAAAAAMQ/R9TrdraeyRw/s144/puppies%252520096.jpg",
			"http://lh5.googleusercontent.com/-23nK9wo6_bU/SO4sB-fD_ZI/AAAAAAAAAiA/UQO12ziGe5U/s144/puppy%252520training27.JPG",
			"http://lh4.googleusercontent.com/-rtVDUKlobqM/R_VqBH6KMaI/AAAAAAAAAVQ/BwBhe-PUnoE/s144/puppy%252520in%252520the%252520kitchen%2525202.jpg",
			"http://lh4.googleusercontent.com/-WBwEYqbjHHI/S3R0Q8QE3jI/AAAAAAAAC0g/Mu_N5kRi8xM/s144/puppies.jpg",
			"http://lh4.googleusercontent.com/-uNPcNy57byI/SzoztZnoi-I/AAAAAAAABCU/4ib9fv6QsvQ/s144/puppy%2525202.jpg",
			"http://lh3.googleusercontent.com/-r0cjg-G4Xs0/SfZUMyDVT3I/AAAAAAAADIY/W4Bm5oiMR7M/s144/Squeeks.jpg",
			"http://lh4.googleusercontent.com/-168xq1nFVhs/Sv8K8ukqzXI/AAAAAAAAGys/vmh15N9gGo8/s144/IMG%252520083.jpg",
			"http://lh6.googleusercontent.com/-wB-zNt3S0VA/SfUOgbiLz6I/AAAAAAAAAnY/n0HDf7Z6Tis/s144/Puppies%252520024.jpg",
			"http://lh6.googleusercontent.com/-eJH4XjIffFQ/R7K8Y7aEn5I/AAAAAAAABAA/CoVdKTJ7UZs/s144/100_0173.JPG",
			"http://lh3.googleusercontent.com/-c3qgzlD3zcE/S39Ku7CoqiI/AAAAAAAAAGM/V9xIDolEMz8/s144/GSD%252520puppy%25252002.jpg",
			"http://lh6.googleusercontent.com/-C9tsrKcGgh8/R-75zFw7a6I/AAAAAAAAGCg/h3rFRHe2YDc/s144/puppy%252520015.jpg",
			"http://lh4.googleusercontent.com/-m-hdW23MWH0/SaIPO-IG0qI/AAAAAAAAApg/GRIUQ5gIftA/s144/CIMG1161.JPG",
			"http://lh4.googleusercontent.com/-AdQ1Gxcc9NY/SAzI3wGM9mI/AAAAAAAAAng/2tRxV_cAyDc/s144/CIMG0880.JPG",
			"http://lh6.googleusercontent.com/-6n75Qu30Ta0/SCe7WEHK7TI/AAAAAAAAAu4/ozoECj-vXSw/s144/puppies-06.jpg",
			"http://lh4.googleusercontent.com/-o5DzF11hd-0/SCHKxK7WspI/AAAAAAAAAFY/TvgvYwIlTYA/s144/pg8-07-husky-puppy.jpg",
			"http://lh5.googleusercontent.com/-3ZFuuJ_-T70/SWv1OKpduDI/AAAAAAAABvM/RQBp6WobsMk/s144/SANY0101.JPG",
			"http://lh6.googleusercontent.com/-BqQx15qqRUE/SU4MWa22q1I/AAAAAAAAAuY/gvf8j6fdsiU/s144/AllDay.ru_Labrador%252520Puppy.jpg",
			"http://lh5.googleusercontent.com/-pTXHRTk4TMQ/Se0zONbLv5I/AAAAAAAAAEQ/Y9MKpujfpuE/s144/puppies%252520010.JPG",
			"http://lh5.googleusercontent.com/-3BRyOcSF0YQ/SY5TOiWwFbI/AAAAAAAAAQ4/xsThrX6VOLc/s144/Pin%252520the%252520Puppy.jpg",
			"http://lh4.googleusercontent.com/-Lb9eTmil93Q/SP0xWY3x-nI/AAAAAAAAE0Y/Daev9EZQ9rI/s144/coming%252520%252526%252520going.jpg",
			"http://lh6.googleusercontent.com/-b6zgCWUBpp0/SAzNEQGM9rI/AAAAAAAAAoQ/HB351OxOSKU/s144/Puppy%252520%2525233.jpg",
			"http://lh6.googleusercontent.com/-tW8BdgqBZQg/S1_oqfx1g8I/AAAAAAAAB4U/Q5EDN2OaYcI/s144/niedlich%252520cute%252520puppy.jpg",
			"http://lh4.googleusercontent.com/-Y0bbiR5r8ho/SDCwIFsrdfI/AAAAAAAAA-A/kK0NQjZtsy8/s144/PUPPIES.JPG",
			"http://lh4.googleusercontent.com/--CHX10FIJMg/S3YeiYl0fEI/AAAAAAAAEgk/MUrQo7qB7ns/s144/2009%252520Puppy%252520Portraits%252520028.jpg",
			"http://lh4.googleusercontent.com/-bbbzkUG5H1E/S0N0ISu__zI/AAAAAAAAAT4/ZB1Nnrk1BOw/s144/puppy.jpg",
			"http://lh4.googleusercontent.com/-O6REGO56wC4/SKRVN2dA3CI/AAAAAAAAA0o/qlUyC4EmeNw/s144/william-wegman-puppies.jpg",
			"http://lh3.googleusercontent.com/-oH0u8LBeMh4/TvSz0udYGgI/AAAAAAAAIak/xOef2J6EPK4/s144/Brown-Dachshund-Puppy-20111221-1000.jpg",
			"http://lh3.googleusercontent.com/-yMoooDNkdoE/R-wov8zPVCI/AAAAAAAAAZk/J8ZZ6vj2U2U/s144/puppies.jpg",
			"http://lh5.googleusercontent.com/-I4VHWBgMtJA/SbsC76rGMWI/AAAAAAAAa4Y/yv1eg-bzH7M/s144/Master%252520Lee%252520Workout%25252C%252520Keyna%252520and%252520the%252520puppy%252520379.JPG",
			"http://lh6.googleusercontent.com/-w-Nn1AzwTR8/SQBjwN-B6xI/AAAAAAAAAII/DpE6XEKmvNY/s144/puppies%2525203%252520weeks%252520old%252520018.jpg",
			"http://lh5.googleusercontent.com/-Jhf93W5sLoo/SderTuxjxGI/AAAAAAAAIeE/3Xzr3Lx4nvg/s144/IMG_0014.jpg",
			"http://lh5.googleusercontent.com/-fZJgEq5YDDk/Sap7OkE036I/AAAAAAAAAKw/5yD1PqsFx78/s144/19-12-08_1811.jpg",
			"http://lh5.googleusercontent.com/-ZrCvdV93y3g/SHvi3CFpOhI/AAAAAAAAAuA/cUJyY-KQ2U8/s144/Puppy%252520In%252520a%252520Box.jpg",
			"http://lh3.googleusercontent.com/-UjJAa_ZsFoU/UBgQ2Q8FdlI/AAAAAAABYOA/8lzJcg8uRvM/s144/DSC_0727.jpg",
			"http://lh6.googleusercontent.com/-qmDUA9KADA0/S2ZMUWtWNTI/AAAAAAAAASQ/ITWU2e4eMxE/s144/Bits%252520The%252520drift%252520PUppy.jpg",
			"http://lh5.googleusercontent.com/-0V9Zx7zhc4g/Sb8d1-xq7zI/AAAAAAAAAC8/V41y1bCuUd4/s144/puppy%252520day%252520010.jpg",
			"http://lh3.googleusercontent.com/-gFnCmXdzIMY/SeimhWZBHTI/AAAAAAAAAP4/YratV4LiK84/s144/vizsla-puppy-2.jpg",
			"http://lh4.googleusercontent.com/-lkrjAGrrCws/SIo3dAUdCmI/AAAAAAAAAQg/KWJfPolEkSo/s144/Puppies%252520001.JPG",
			"http://lh5.googleusercontent.com/-9tcyB3YJsZQ/SMp56qYA6pI/AAAAAAAAABU/eItF7OSyejE/s144/Puppy.jpg",
			"http://lh6.googleusercontent.com/-mtAk74COMGY/SSGYYxrNXaI/AAAAAAAAAZo/it38cMBhpOY/s144/puppy%252520019.jpg",
			"http://lh4.googleusercontent.com/-0sBXIem_lRE/S15UJetMAZI/AAAAAAABEvs/rsH_kRsFI5Y/s144/Hannah%252520Puppy%25252003.jpg",
			"http://lh3.googleusercontent.com/-QLjourMj8g4/Sap8Dh6O0VI/AAAAAAAAAMY/Oqd2OvLUtYA/s144/19-12-08_1758.jpg",
			"http://lh6.googleusercontent.com/-pe9ElxoL2LU/SK7AqSM6i1I/AAAAAAAAPuM/i0pKrSvbGYQ/s144/My%252520Puppy%252520%252526%252520Family%2525202139.jpg",
			"http://lh3.googleusercontent.com/-kChtLy-FL1k/SSGYdaC49vI/AAAAAAAAAaQ/xWeVr6VRn5s/s144/puppy%252520024.jpg",
			"http://lh3.googleusercontent.com/-jDaEBiXaxaI/SzetbWaq68I/AAAAAAAADOw/cHcmE6fyDR4/s144/LuLu%252527s%252520Baby%252520%252526%252520Puppy%252520Pics%252520and%252520her%252520Parents%252520Ayla%252520%252526%252520Pal%252520Pics%252520029.jpg",
			"http://lh3.googleusercontent.com/-lGyiFeNc0rc/ST0u7uRLQMI/AAAAAAAADGU/SR4uzskDP0k/s144/puppy%252520039.jpg",
			"http://lh3.googleusercontent.com/-qfki-JqB1FE/Se2CDgGTOZI/AAAAAAAAAB4/ZhkLGWV4zVo/s144/beagle-puppy.jpg",
			"http://lh4.googleusercontent.com/-6eaniljckqY/S0jbprnB5MI/AAAAAAAAAXs/jSeXAETPO88/s144/Puppy%252520with%252520Fur%252520Puppy.JPG",
			"http://lh4.googleusercontent.com/-7LHu8T4yXUA/SK0D0EMqTII/AAAAAAAAAFo/Bji--33SASk/s144/4%252520weeks%252520puppies%252520063.JPG",
			"http://lh5.googleusercontent.com/-kr_uzQ-cYU4/S2TlqXTfwiI/AAAAAAAABQE/2HPBYQH8P98/s144/Dharma%252527s%25252009%252520puppies%252520045.JPG",
			"http://lh4.googleusercontent.com/-HtQY39wfOYc/SMlYR7p3dXI/AAAAAAAACME/hkbfdfUnGPE/s144/puppies%2525201st%252520week%252520home%252520007.jpg",
			"http://lh4.googleusercontent.com/-IrBZ8da3f9A/SdeY1e9jdlI/AAAAAAAAIU8/WhiZJFfH1AQ/s144/Puppies%252520IMG_0105.jpg",
			"http://lh3.googleusercontent.com/-VmlRmy13cV4/SGzxNq-gHeI/AAAAAAAAAGw/mLFlGcpoHmo/s144/Puppies%252520042.jpg",
			"http://lh4.googleusercontent.com/-ZkERMAC5ahM/R42_anXk6lI/AAAAAAAAFAk/0zfQwnjDLp8/s144/Puppies%252520%2525282a7%252529.jpg",
			"http://lh4.googleusercontent.com/-FHDh2w1M2sw/Savz4rqCHLI/AAAAAAAAJZA/Hpsaz8_iiDU/s144/After%252520Concert%252520Puppy%252520au%252520Studio%252520latino-060.jpg",
			"http://lh6.googleusercontent.com/-T2h2kpX8N84/SCe7XEHK7bI/AAAAAAAAAv4/cLZlYTnB9e8/s144/puppies-38.jpg",
			"http://lh3.googleusercontent.com/-a6qQuhEzgXs/SHQs69BbxoI/AAAAAAAACJQ/hcvxt-qFP2M/s144/JAP_5245.jpg",
			"http://lh6.googleusercontent.com/-ksTPcIA90gk/SwNlpbHtlVI/AAAAAAAAAhQ/DoSVgxWOvYg/s144/BigBoBAnnGee%252520and%252520puppy%252520011.JPG",
			"http://lh6.googleusercontent.com/-S1UHnJoUb18/Sav0Tzgz87I/AAAAAAAAJfg/NgNG7DsLUEY/s144/After%252520Concert%252520Puppy%252520au%252520Studio%252520latino-111.jpg",
			"http://lh3.googleusercontent.com/-grQnESxWlIA/SF_ad7K41WI/AAAAAAAAFX4/IEIWlvB7AC8/s144/Puppies%2525203wks%252520005.jpg",
			"http://lh4.googleusercontent.com/-TqHgJGN2Exk/SCIBwHn92lI/AAAAAAAABOc/lEbmgHzfGis/s144/5-1-08%252520puppies%2525209.jpg",
			"http://lh3.googleusercontent.com/-qijxRDLEkcY/SU4LN_tp2MI/AAAAAAAAArE/l_gvhj7oCDg/s144/AllDay.ru_Australian%252520Cattle%252520Puppy.jpg",
			"http://lh3.googleusercontent.com/-sMZP3u0M8_0/SGGqr2omYDI/AAAAAAAAAmk/WntMWD_sI50/s144/puppy.jpg",
			"http://lh6.googleusercontent.com/-yvJvlC7jK1s/STNiuN3654I/AAAAAAAAAEg/ISACKzO9_NI/s144/Miniature-Schnauzer-puppy-photo-83479_wallcoo_com.jpg",
			"http://lh3.googleusercontent.com/-aMJ6lmHbt70/SUVPKBQpD0I/AAAAAAAAAyU/Hl8Q4FR2B5E/s144/12-9-08%252520Bathrom%252520Puppies%252520025.JPG",
			"http://lh5.googleusercontent.com/-MUqDaW3wSmY/SLDEyFZkiJI/AAAAAAAAEaA/sOG04Q1okok/s144/puppies%252520baths%252520and%252520toys%252520047.jpg",
			"http://lh5.googleusercontent.com/-hifHg4o0QaQ/SdfhPyb6fII/AAAAAAAAEXM/mwtkt-lF7Gw/s144/Piggy%252520Puppy%252520Pictures%252520213%252520-%252520Copy.JPG",
			"http://lh4.googleusercontent.com/-VHY71kUvmvU/TdCdiMKzw1I/AAAAAAAABy8/scCrjbyQl6s/s144/20%252520Blonde%252520Boy%252520%252528Portrait%252529.jpg",
			"http://lh6.googleusercontent.com/-mwg9FLpiXbE/S2Tlx89yq9I/AAAAAAAABQc/Hu8BOf4CUyE/s144/Dharma%252527s%25252009%252520puppies%252520039.JPG",
			"http://lh3.googleusercontent.com/-KaoeIJ6Sx_A/SyDWfoIguPI/AAAAAAAAAC0/f2ianI2Hzmw/s144/cute-little-puppy-dog_1024x768.jpg",
			"http://lh3.googleusercontent.com/-baqjJiISUTQ/SMl4Y7kaBaI/AAAAAAAAACQ/vuSJCd8qyew/s144/puppy.jpg",
			"http://lh5.googleusercontent.com/-mKyn8HLtqlU/TlAFeE-oW5I/AAAAAAAABA4/_3jJ8fmOtCA/s144/083.JPG",
			"http://lh6.googleusercontent.com/-uiHEzDD12ZY/SU4ekzLw0lI/AAAAAAAABBI/IkYQYES09f0/s144/AllDay.ru_Golden%252520Retriever%252520Puppy.jpg",
			"http://lh6.googleusercontent.com/-SAQzyfc7wgU/SR9zDJ1GRbI/AAAAAAAAAHY/cJtfimkOxv8/s144/Caillee%252527s%252520Puppies%252520005.jpg",
			"http://lh4.googleusercontent.com/-JlRMRx181VA/R8BECiOhqAI/AAAAAAAACZ4/q2Ex5hkaTAo/s144/PUPPY.jpg",
			"http://lh6.googleusercontent.com/-bPxDwA3lFCY/SXpcBunJH6I/AAAAAAAAHCg/w7krJ5ela4U/s144/Puppies%252520036.jpg",
			"http://lh4.googleusercontent.com/-8mny0D9YAps/SbYXOAsl_LI/AAAAAAAAA-s/OZMKT7AW6dQ/s144/1155-3003%25257EGolden-Retrievers-Puppies-Posters.jpg",
			"http://lh3.googleusercontent.com/-K19SN_vjFnM/SK97ovKR7DI/AAAAAAAAARw/q2GxrpGHreY/s144/the%252520puppy.jpg",
			"http://lh4.googleusercontent.com/-nqwb5a324Kc/SaRSq_FkXiI/AAAAAAAAO_o/FyYDzHjZmG8/s144/IMG_4097.JPG",
			"http://lh6.googleusercontent.com/-xCYPomEHaoE/SFgDQYr4tfI/AAAAAAAAAGE/cTK_rh69U_U/s144/puppy.jpg",
			"http://lh5.googleusercontent.com/-U9Aw-7ptHXQ/R_7S0N6i0CI/AAAAAAAACws/FE4bShR_diY/s144/Puppy%252520Halley%2525201%252520%252528Medium%252529.JPG",
			"http://lh6.googleusercontent.com/-NpUZ_lNT8ks/SDzKOLNluVI/AAAAAAAADxw/Uy8vX9uIwjo/s144/CIMG0884.JPG",
			"http://lh5.googleusercontent.com/-jYs4WXzjUrc/SR9zKhFjzXI/AAAAAAAAAIY/5auvJA0NAUI/s144/Caillee%252527s%252520Puppies%252520035.jpg",
			"http://lh6.googleusercontent.com/-42xRNc2TjSY/SOfeWSn932I/AAAAAAAAAg4/pUEPwxlQ9OA/s144/Puppy%252520Larkin%252520Early%252520Fall%2525202008%252520037.JPG",
			"http://lh5.googleusercontent.com/-eZP8MLWwT1c/SxNDRpN3xZI/AAAAAAAABp0/xrX21HeN6nw/s144/puppy%252520pictures1%252520003.jpg",
			"http://lh4.googleusercontent.com/-TUDrOm6mrJ4/SAzNDwGM9qI/AAAAAAAAAoI/sIO11Kp5dMg/s144/Puppy%252520%2525232.jpg",
			"http://lh4.googleusercontent.com/-_U-TdLsI6XA/SdyHNkAhqjI/AAAAAAAADvE/xSZdLiNhoU4/s144/Puppy%252520Dreams.jpg",
			"http://lh3.googleusercontent.com/-O0KcHf2s-NE/SdCVsXqtnOI/AAAAAAAACXo/rY5W6b7jF7A/s144/Puppies%25252020-03-2009%25252017-42-46.JPG",
			"http://lh6.googleusercontent.com/-P50KhGbn4a4/S4FPingmtVI/AAAAAAAAAF4/RU_uLnTEphE/s144/puppy%252520004.jpg",
			"http://lh5.googleusercontent.com/-iIXQvbk2o28/Sap6QHPqEwI/AAAAAAAAAJM/zy9uXFwuhZk/s144/28-02-08_1902.jpg",
			"http://lh4.googleusercontent.com/-TWSGKFcQlJE/SZ-A_T__CEI/AAAAAAAArsQ/130s5nBTsPw/s144/PUPPY%25252C%252520SARA.jpg",
			"http://lh5.googleusercontent.com/-xzCWIPjo6E8/SZpQf0tPWfI/AAAAAAAAAHM/m1rIUP7Q-fQ/s144/15-01-08_1811.jpg",
			"http://lh3.googleusercontent.com/-hS0lNjyQW4I/SJb9r0zB_zI/AAAAAAAAAn8/joHeY0Zmalk/s144/%25255C%25255C10.196.40.67%25255CBBC_Share%25255Cccc%25255CSONY%252520PUPPY%252520SNUPI000.JPG",
			"http://lh5.googleusercontent.com/-kKqYx0mOqB8/R8znO7_RkBI/AAAAAAAAAMA/kcFJlBETO1o/s144/puppies%252520085.jpg",
			"http://lh5.googleusercontent.com/-wYXK3H6_0TM/SwgjrlT2msI/AAAAAAAACXc/V69J1xQ_vFc/s144/Puppies%252520-%2525202009-10-2915-10-57.jpg",
			"http://lh5.googleusercontent.com/-P_0ko7sO390/S1LKhLWm5II/AAAAAAAAG3I/41BVj1_Zfmo/s144/Puppies%252520012.jpg",
			"http://lh3.googleusercontent.com/-53TIIuQn0eU/S4WvAof_Z6I/AAAAAAAAAjM/7bqxW3AMqfM/s144/DSCN3869.JPG",
			"http://lh6.googleusercontent.com/-PhHJdXvdzS8/SY-VA4A3W6I/AAAAAAAACyo/HDRyB-qbVV8/s144/ist2_7478277-puppy-in-gift-box.jpg",
			"http://lh5.googleusercontent.com/-sBLsb7dXpxk/SZvTHPgdVpI/AAAAAAAACzw/scaT2idLRE0/s144/ist2_7478277-puppy-in-gift-box.jpg",
			"http://lh4.googleusercontent.com/-F32uGD2_9MI/SMH-ju7cYyI/AAAAAAAAANo/RFHkwzNjzfE/s144/Puppy%252520Time%252520%25252819%252529.JPG",
			"http://lh4.googleusercontent.com/-o-65QHim-w8/Szw2oNK_2QI/AAAAAAAAAmE/pU-fikVYUXw/s144/puppy%252520eyes.JPG",
			"http://lh5.googleusercontent.com/-G6AN62vUAuQ/SO4r5g5kjwI/AAAAAAAAAfs/VIA0focTsVc/s144/puppy%252520training9.JPG",
			"http://lh5.googleusercontent.com/-OWF-swRJbtM/SZpN9Jk2y8I/AAAAAAAAAEQ/N5xwnRy6Mwg/s144/Zooby%252520Zoom.jpg",
			"http://lh4.googleusercontent.com/-V5WD9gF2RZI/R4xmhZKqzsI/AAAAAAAAA0M/iCvRZOcQvTU/s144/puppies.jpg",
			"http://lh4.googleusercontent.com/-s7SFewU6bFU/R_42OKHRuJI/AAAAAAAAAd4/IEqrkfnOYX8/s144/88786778A6.jpg",
			"http://lh5.googleusercontent.com/-IPv_TZtmcYk/Sa6cU8yfoaI/AAAAAAAADrU/ZAyDsuliBNM/s144/Kadus%252520and%252520Puppy-6.jpg",
			"http://lh4.googleusercontent.com/-HDziH_tYtEA/S4Xz-f69ZPI/AAAAAAAAAEM/TtQojLUf3p0/s144/Puppy%25252022-8-07.jpg",
			"http://lh3.googleusercontent.com/-K__AixDtoIA/Sdfg_ccmrMI/AAAAAAAAESs/2l7jXNWEPZ4/s144/Piggy%252520Puppy%252520Pictures%252520120.JPG",
			"http://lh6.googleusercontent.com/-Dg-EAve4gtQ/SwbUuygAdNI/AAAAAAAAAWc/lP-rnEQohtk/s144/Puppy%252520Love.jpg",
			"http://lh5.googleusercontent.com/-sN76dI8e8XM/SGCD8FGIRII/AAAAAAAABNk/fuEmKcllU4U/s144/Puppy%252520-16.jpg",
			"http://lh3.googleusercontent.com/-HRPE_Nbf0ZE/SeBFyshYH5I/AAAAAAAAAeI/QUF6KOnlPU0/s144/27.jpg",
			"http://lh6.googleusercontent.com/-aCSnIxLJYHI/S05Ji8M89TI/AAAAAAAACgc/8pDB6yqIZKk/s144/11-30-09%252520Hersheys%252520puppies%25252Clast%252520photos%252520017.JPG",
			"http://lh6.googleusercontent.com/-5ERyVT68VEk/SeH25DV07NI/AAAAAAAAAd8/5LPIkwKXhzM/s144/puppy%252520n%252520flower.jpg",
			"http://lh5.googleusercontent.com/-dKal5DP7RcI/Sa7sOgSMlfI/AAAAAAAAAGw/3qe-1J04RDc/s144/cute%252520puppies%252521%252520cuter%252520than%252520ever%252521%252520LOOK%252521%252521%252521%252521%252521.jpg",
			"http://lh6.googleusercontent.com/-QtECfLrwUxI/Sw4Zx2J0xWI/AAAAAAAAAKE/uo30v-Beg5s/s144/puppy.jpg",
			"http://lh5.googleusercontent.com/-2A79RNkyCZU/SYTs0bsHwvI/AAAAAAAAJOY/tTCzfTf7POo/s144/Puppies%252520Tail%252520Dock%252520006.JPG",
			"http://lh3.googleusercontent.com/-bzoYd8e65cc/SWFOCcUEeRI/AAAAAAAAA4c/wLPlzGsU978/s144/puppy-7.jpg",
			"http://lh5.googleusercontent.com/-G6wgwe8H9F4/SNxIKYH39eI/AAAAAAAABo0/wRTjpoEiLow/s144/puppy.jpg",
			"http://lh6.googleusercontent.com/-CAV1Z2_BJZA/R_awPOELZ1I/AAAAAAAACV4/KVyXw5SyTGE/s144/Puppies%252520008.JPG",
			"http://lh5.googleusercontent.com/-hE2eKfuys-o/SdyHFrWeJvI/AAAAAAAADtk/KGbalicY9DE/s144/Australian%252520Cattle%252520Puppy.jpg",
			"http://lh3.googleusercontent.com/-HqrNC1JCV5w/S2TmJxkPJQI/AAAAAAAABRs/cngecuqrpg4/s144/Dharma%252527s%25252009%252520puppies%252520021.JPG",
			"http://lh5.googleusercontent.com/-PahXMhuhdBE/SzpkUrJAyJI/AAAAAAAASH4/gt_dXOzcGmQ/s144/PC270234.JPG",
			"http://lh3.googleusercontent.com/-ER1Xp8uj6VU/SU4KLFDQbAI/AAAAAAAAAoA/nBw6bvGhPik/s144/AllDay.ru_English%252520Springer%252520Spaniel%252520Puppies.jpg",
			"http://lh4.googleusercontent.com/-0MyNBMCH1oQ/SHXcytjADGI/AAAAAAAAApI/Okv-EWo8EXE/s144/Sn%2525C3%2525ADmka010.jpg",
			"http://lh4.googleusercontent.com/-M349pTtFQzg/Sazt5YSCt2I/AAAAAAAAADQ/_iKy-YfXUvY/s144/images.jpg",
			"http://lh3.googleusercontent.com/-htO-IhbuU1k/SxBCqA1mPOI/AAAAAAAACAo/mIPAdNtqm6U/s144/puppy%252520play%252520014.jpg",
			"http://lh5.googleusercontent.com/-o8mY_JJZfp0/R42-U3Xk6RI/AAAAAAAAE-E/Zu7elPhj_8w/s144/Puppies%252520%25252819%252529.jpg",
			"http://lh5.googleusercontent.com/-5ZWNf1khq5Y/R-BuB5ZJzEI/AAAAAAAAALw/u_Ctc6iq7Xw/s144/puppies%252520March%2525202008%252520040.jpg",
			"http://lh6.googleusercontent.com/-eNcGOjNp5xY/Sc6b1aLqfhI/AAAAAAAAASI/DW1Tt3K9B_Q/s144/guilty-puppy.jpg",
			"http://lh4.googleusercontent.com/-AarLGaeRjHA/SwBlOhRJ5hI/AAAAAAAAAZg/7Gym8J8Suak/s144/Chistmas%252520Puppies.jpg",
			"http://lh3.googleusercontent.com/-qItmXi56GLg/S3jOALLS0II/AAAAAAAABB0/98gSoSkUjfA/s144/Puppy%25252520Love.jpg",
			"http://lh4.googleusercontent.com/-hMBafS0uNP8/R-Z9sq0_6-I/AAAAAAAAAPQ/maZ9uNaUiyw/s144/Rennie%252527s%252520day%252520old%252520puppies%2525204-21-02.JPG",
			"http://lh6.googleusercontent.com/-jdPgDrHgtfM/SSGYJKPUgII/AAAAAAAAAX0/yPnrzpRA8gg/s144/puppy%252520005.jpg",
			"http://lh5.googleusercontent.com/-Xx5ua5DbZDg/SXqK7Eh2w6I/AAAAAAAALi0/AYf66Ao_a6Q/s144/IMG_7645.JPG",
			"http://lh3.googleusercontent.com/-4H9NeCxyNrM/R7Pyi6MYklI/AAAAAAAADB4/x6B8TzO4tvw/s144/01-08%25252002-08%252520sauce%252520v%252520moving%252520superbowl%252520puppies%252520new%252520year%252520059.jpg",
			"http://lh3.googleusercontent.com/-g3bS4O7_DNc/SSGWjeTMMTI/AAAAAAAAATY/h9pFwsmxbk4/s144/puppies.jpg",
			"http://lh4.googleusercontent.com/-mWRcoIkVEno/SKRe_6LICfI/AAAAAAAABFI/h371SvVOI20/s144/Puppy%252520Pick%252520up%252520012.jpg",
			"http://lh5.googleusercontent.com/-0GeBnh6iy5k/SNKbYww3YmI/AAAAAAAAAVM/XX742gvAAmg/s144/puppy%252520084.jpg",
			"http://lh6.googleusercontent.com/-79byICbw0eI/Sex4p5RuqnI/AAAAAAAAAwQ/5Ce9j2fMLCc/s144/boxer-puppy.jpg",
			"http://lh5.googleusercontent.com/-xuVgW8pQJnI/SJDXEYS3JUI/AAAAAAAAARk/dgIZpxb4YdI/s144/Hound%252520Dog%252520Puppies%252520039.JPG",
			"http://lh4.googleusercontent.com/-Jyh0TQpMR78/S1kO9TzRW3I/AAAAAAAAAqE/tOTOmBdvzcg/s144/Puppies%252520037.jpg",
			"http://lh4.googleusercontent.com/-SQUllKJlRNU/SRxhdvhdNrI/AAAAAAAAAcc/LxSteABHgNE/s144/11-12-2008_Puppies_043.jpg",
			"http://lh6.googleusercontent.com/-WiZpnyt8HjQ/SdyHymPLNeI/AAAAAAAAD2U/jl8eoGKa7E8/s144/Three%252527s%252520Company%25252C%252520Shar-Pei%252520Puppies.jpg",
			"http://lh4.googleusercontent.com/-6WcpFLjgr0E/SJU93z1DdOI/AAAAAAAAAmg/AGR-DPEuiCw/s144/080802_Rescues%25252024.jpg",
			"http://lh6.googleusercontent.com/-vmIl72BhWy0/S3c52x9X-8I/AAAAAAAAF8o/hP9bHEacbHk/s144/LuLu%252527s%252520Baby%252520%252526%252520Puppy%252520Pics%252520and%252520her%252520Parents%252520Ayla%252520%252526%252520Pal%252520Pics%252520029.jpg",
			"http://lh3.googleusercontent.com/-J-n0iO3ZvVg/R6Tp9NcuLjI/AAAAAAAADIg/loPXmm6F9Ls/s144/eliza%252520puppies%2525201%25252C5%252520weeks%252520067.jpg",
			"http://lh3.googleusercontent.com/-IPnLQBihG_U/Sc_pX85gOoI/AAAAAAAAAnw/NBQqfwhRzE4/s144/Tammy%252520and%252520puppy.jpg",
			"http://lh5.googleusercontent.com/-zcqoyW7OypI/SMH_TPj3eiI/AAAAAAAAARM/5tYpEyXUbac/s144/Nikoles%252520Puppies%252520%25252812%252529.JPG",
			"http://lh4.googleusercontent.com/-f_Rb4UzfFNQ/R-XtTZnR7DI/AAAAAAAAByA/q-tryGBn_R8/s144/DSC_0176_edited.JPG",
			"http://lh4.googleusercontent.com/-it0kT7h0FGo/SxfYlVrjh_I/AAAAAAAABY4/wm6U-1NnrxQ/s144/Pets%252520-%252520%2525D0%25259A%2525D0%2525BE%2525D1%252580%2525D0%2525B6%2525D0%2525B8%2525D0%2525BA.jpg",
			"http://lh3.googleusercontent.com/-m0m5sG8yZQQ/SZ0KHScYmzI/AAAAAAAABS8/5xKkL64o8dU/s144/_DSC5919.jpg",
			"http://lh4.googleusercontent.com/-lfdDPnckl2o/R6n5fyDL5MI/AAAAAAAAARM/a4i8UH3paVo/s144/vizsla-puppy-13.JPG",
			"http://lh4.googleusercontent.com/-GBv3LLful-E/SfF6fehtbQI/AAAAAAAABVk/W9pEDZhbR1o/s144/Puppy%252520Adoption%252520Camp%2525201.jpg",
			"http://lh6.googleusercontent.com/-jmOaRqScquM/SSGYbofWSqI/AAAAAAAAAaA/RBgu-YrFuxI/s144/puppy%252520022.jpg",
			"http://lh4.googleusercontent.com/-qgRWmj0ox_E/SRB5tcnukCI/AAAAAAAAB5E/dXAOwn0V-dI/s144/Puppy%252520Pick%252520up%252520016.jpg",
			"http://lh4.googleusercontent.com/-GEeeyp-RrCM/SWFNbySTMgI/AAAAAAAAA4A/Y178oMMaK4c/s144/puppy-4.jpg",
			"http://lh6.googleusercontent.com/-Hh_yoKL3BP0/SwSDU3M2INI/AAAAAAAAUZo/WjQITiq8PqM/s144/Puppy%252520snow%252520144.jpg",
			"http://lh4.googleusercontent.com/-bd6OSW6hIiY/SNP-ezTlAlI/AAAAAAAAK2I/0uRhEujuiwo/s144/Dena%252520Indian%252520Blue%252520Lune%252520de%252520Solemel%252520%25252815%252529.JPG",
			"http://lh5.googleusercontent.com/-3a_ozJ7FaBs/SOAIk0GxvjI/AAAAAAAAAdQ/81Mad0eAc4s/s144/Puppy%252520011.jpg",
			"http://lh4.googleusercontent.com/-kURVCuVO_fs/SLAuSfIOVLI/AAAAAAAAAEc/7eesDcw-IrA/s144/Puppies%25252016%252520Aug%25252008%252520013.jpg",
			"http://lh5.googleusercontent.com/-5KrLei4WLUQ/R8DaWXRrBnI/AAAAAAAAAGo/Mq3Yr2Udr_4/s144/IMG_9182.JPG",
			"http://lh5.googleusercontent.com/-vlWADmlzjX8/SMsvML4Z3eI/AAAAAAAACXQ/TjSXWNuB8pc/s144/Tilly%252520w%25253Ablue%252520puppy.jpg",
			"http://lh4.googleusercontent.com/-26nNSz1I_z0/R9yTgcqCEXI/AAAAAAAAASo/OT-nn_GDC28/s144/Greta%252527s%252520Puppies%2525202005%252520102.jpg",
			"http://lh4.googleusercontent.com/-qiViNeJnR3s/TdVTlqbgguI/AAAAAAAAqgw/f4x2ISk5RmI/s144/Puppy%252520Photo%252520Shoot-290.jpg",
			"http://lh6.googleusercontent.com/-rfRLph74GQ4/SaMpaJqmJ1I/AAAAAAAAAdE/fTRRfSO37lg/s144/Cheyanne%252520%252526%252520Puppy.jpg",
			"http://lh5.googleusercontent.com/-hfqrs6r-IJg/SbMwWrcftEI/AAAAAAAADw8/rQqA95oXMAc/s144/steve%252520and%252520jazz%252520and%252520baby%252520molly%252520puppy%252520at%252520billys.jpg",
			"http://lh4.googleusercontent.com/-538c31dLSCM/SNw0ISYuXAI/AAAAAAAAYw4/0KMDM-nZwE0/s144/DSC_7661.jpg",
			"http://lh6.googleusercontent.com/-Bax8o1HGZBk/S4XEb7MFnOI/AAAAAAAACa4/4YpLyekeigM/s144/puppy%252520reunion057.jpg",
			"http://lh6.googleusercontent.com/-rouL3MR476c/SZRT7gxLsdI/AAAAAAAABrA/8vn2acamuTM/s144/IMG_9023.JPG",
			"http://lh6.googleusercontent.com/-W4aP0mkq83Y/Sav1AigEp0I/AAAAAAAAJpo/vDKKF-bWhLM/s144/After%252520Concert%252520Puppy%252520au%252520Studio%252520latino-190.jpg",
			"http://lh6.googleusercontent.com/-pr4L2yQwXtM/R7xYZzVicjI/AAAAAAAAARU/R-P49MW_wek/s144/Puppies-049BW.jpg",
			"http://lh4.googleusercontent.com/-rhxFDJ4XsSM/SOzhfIqLMTI/AAAAAAAAAEc/egWbZFZeVQs/s144/cam%252520phone058.jpg",
			"http://lh6.googleusercontent.com/--c19C-MCy-w/SNCuVjzXdPI/AAAAAAAACpE/Wq7-JTtlSyg/s144/IMG_0139.jpg",
			"http://lh3.googleusercontent.com/-PFwi9VjPrJo/S15Jl2IZ15I/AAAAAAAAE6k/8q3rx5CXmJc/s144/John%252520with%252520Aunt%252520Kelly%252520Uncle%252520Eddie%252520Savannah%252520and%252520Emily.%252520puppies%252520001-1.jpg",
			"http://lh4.googleusercontent.com/-lO5EgskZ1zY/S15DOtUPpNI/AAAAAAAAEFc/mr_uiJKPzIQ/s144/John%252520with%252520Aunt%252520Kelly%252520Uncle%252520Eddie%252520Savannah%252520and%252520Emily.%252520puppies%252520001.jpg",
			"http://lh4.googleusercontent.com/-EJg4dLGd7ro/S1dfLjz-dWI/AAAAAAAAAdE/x2sqE5yTRPw/s144/Nate%252520and%252520new%252520puppy.%252520April.%25252027.2008.jpg",
			"http://lh5.googleusercontent.com/-mw-Ma2PV5-k/S2TlmkY6q7I/AAAAAAAABP8/KOS9T2qCEHc/s144/Dharma%252527s%25252009%252520puppies%252520047.JPG",
			"http://lh5.googleusercontent.com/---GAl5vfh04/SYKHdTE1NDI/AAAAAAAAOfE/v1YkTXSZQaU/s144/Puppy%252520luv%252520red.jpg",
			"http://lh4.googleusercontent.com/-kF27Tus6CB8/R_awCuELZwI/AAAAAAAACVM/KveTl0DYtlE/s144/Puppies%252520003.JPG",
			"http://lh4.googleusercontent.com/-ZwYadLsN3o8/R94A_vg77AI/AAAAAAAAEWg/T9eGMmMUU_k/s144/DSC02360.jpg",
			"http://lh4.googleusercontent.com/-VtdaMjl5Vdc/SQ6G48OWdBI/AAAAAAAABoc/dH6MQFkvS-w/s144/Puppies%2525201.jpg",
			"http://lh4.googleusercontent.com/-a7z6CWRbR1k/SBswRB-AbRI/AAAAAAAAAZU/C6hAtcyhyD0/s144/Dean.jpg",
			"http://lh3.googleusercontent.com/-B3snMoVdqY8/SLYEYv9-nvI/AAAAAAAAETU/qqzmoVKjWao/s144/JAP_6913.jpg",
			"http://lh3.googleusercontent.com/-jzKU7HybadA/SAOlwsb9L9I/AAAAAAAAAjc/_nh8lRI5TWU/s144/puppy.jpg",
			"http://lh6.googleusercontent.com/-R7mbdLc4vRs/SMH_QmUK2mI/AAAAAAAAAQ8/-w_1GxF5oO4/s144/Nikoles%252520Puppies%252520%2525282%252529.JPG",
			"http://lh6.googleusercontent.com/-GdOotMNhqOQ/SzplihoJqqI/AAAAAAAASKw/iCwDsfbymi4/s144/PC270269.JPG",
			"http://lh5.googleusercontent.com/-SpK1_SxrAQ0/SwQs3EuAh7I/AAAAAAAAAI0/3ACRcY_fkjE/s144/PUPPIES%2525202.jpg",
			"http://lh4.googleusercontent.com/-6M8bw4rxLls/S2Tl6rVp_hI/AAAAAAAABRA/6xRuz8fqtBM/s144/Dharma%252527s%25252009%252520puppies%252520031.JPG",
			"http://lh6.googleusercontent.com/-2QAWTf2JN2c/SLDEQNKNdpI/AAAAAAAAEZE/o5VsThs9VRc/s144/puppies%252520baths%252520and%252520toys%252520041.jpg",
			"http://lh3.googleusercontent.com/-TFJUItDZL-U/SXyTabbd8pI/AAAAAAAADX8/b_4GzFxYfB8/s144/BBC-EastEnders-Puppy-Love-Wk-5-Jan09-Soap-Spoilers-15.jpg",
			"http://lh3.googleusercontent.com/-eDJbCGqy0w8/SdyG6stYJzI/AAAAAAAADrY/RPsiX88LeRo/s144/Labrador%252520Puppy.jpg",
			"http://lh6.googleusercontent.com/-V9PK0MDV3hk/SNaydZmOJYI/AAAAAAAAAdg/XioaIIMxfoA/s144/rosarito%252520puppies%252520019.jpg",
			"http://lh6.googleusercontent.com/-LBKMe2N4Yno/SSBSvgujsRI/AAAAAAAABw8/fVDrzqmUWFQ/s144/I%252527m%252520only%252520a%252520little%252520puppy.jpg",
			"http://lh6.googleusercontent.com/-ZQXBczmE3jw/Sc08E3hdOeI/AAAAAAAAF_s/h3v0h51QX-0/s144/Sweet-Puppy-1.jpg",
			"http://lh5.googleusercontent.com/-dD7hOsa3Blk/S1kPAwyIWRI/AAAAAAAAAqo/xZbrt87VgiM/s144/Puppies%252520045.jpg",
			"http://lh6.googleusercontent.com/-yw98Xj6YGjY/SXJL3bPq61I/AAAAAAAADWI/NlCh5634vZc/s144/PUPPY%252520LOVE.JPG",
			"http://lh5.googleusercontent.com/-qhORsO85gGc/TcsCJm6nt-I/AAAAAAAAADA/mIwh3tebQzk/s144/A%252520certain%252520puppy....jpg",
			"http://lh6.googleusercontent.com/-HYMySzLQzcY/SWFNen7CueI/AAAAAAAAA4I/4eA4RICuQiQ/s144/puppy-5.jpg",
			"http://lh5.googleusercontent.com/-N2NKdQakxwM/SRzmVi26SQI/AAAAAAAABek/vvtRSMeDlxA/s144/Photo%252520086.jpg",
			"http://lh6.googleusercontent.com/-0KV0jyyNOzo/SxUcSj5O5yI/AAAAAAAAAfg/4CugRWTz7eo/s144/PUPPIES%252520010.JPG",
			"http://lh4.googleusercontent.com/-BqOAQm3qcUc/S3sRhArA8NI/AAAAAAAAK98/hsEE0scocck/s144/Elaine%252527s%252520Puppy.jpg",
			"http://lh4.googleusercontent.com/-do2Z4A3qHcY/S1LKcZu0vSI/AAAAAAAAG3A/JwTfHj7Pfn0/s144/Puppies%252520010.jpg",
			"http://lh5.googleusercontent.com/-zAOOjX6h_CA/SYUPUjWhgnI/AAAAAAAAA0g/H_REzTN87pA/s144/IMG_1170.JPG",
			"http://lh6.googleusercontent.com/-r_HVCjNsDFY/SPtF-t4MbrI/AAAAAAAAA7s/fDa_h9X0eCU/s144/puppies%252520025.jpg",
			"http://lh4.googleusercontent.com/-fTvJtY6Vn3U/S1z8JSruGVI/AAAAAAAAIys/xynMpei9tJ4/s144/christmas-puppy.jpg",
			"http://lh3.googleusercontent.com/-kEB8ft39YQc/R4_8KMTbqnI/AAAAAAAAAI4/kXX5ESqMgAI/s144/photo-38735.jpg",
			"http://lh3.googleusercontent.com/-JH1aX-6YENs/SIU6pGAN4-I/AAAAAAAAEyQ/iMSSt9qEl-g/s144/Puppies%252520001.jpg",
			"http://lh5.googleusercontent.com/-kvq3EsnwL6Q/SyJHwCRmb5I/AAAAAAAADlc/DsWmX7kwfeg/s144/Christina%252520%252526%252520puppy.JPG",
			"http://lh6.googleusercontent.com/-U2_wBsFFsWo/SGgCOz2a5HI/AAAAAAAAB5g/wMcJo5Cte-M/s144/Tired%252520Puppy.jpg",
			"http://lh4.googleusercontent.com/-tkNnuhM3-A4/SEJRbSO8TNI/AAAAAAAAA04/QAw15VBRSIc/s144/Meg%252520and%252520Benson%25252012-07%252520puppies.jpg",
			"http://lh6.googleusercontent.com/-CPczGtMIZWA/SdURAD2MrTI/AAAAAAAABVg/Gaf2mBxM1ew/s144/puppy.JPG",
			"http://lh3.googleusercontent.com/-Lsl8JnjIRm4/S3TiltTsOUI/AAAAAAAAAuc/pFT-SkeQaK8/s144/Puppy%252520Pictures%25252020101.jpg",
			"http://lh4.googleusercontent.com/-Dw1R87c74kI/S2ixuCUbCqI/AAAAAAAAB2o/BKo6GOLdim4/s144/Dharma%252527s%25252009%252520puppies%252520040.JPG",
			"http://lh6.googleusercontent.com/-ce2Ow7uetL0/S1G8d-Fhr3I/AAAAAAAABiY/5ZfSXSNwxYQ/s144/puppy-and-kitten.jpg",
			"http://lh6.googleusercontent.com/-EBSk_y-aoRc/Sa6cTgz1vJI/AAAAAAAADq8/RBueNfG3K4k/s144/Kadus%252520and%252520Puppy-3.jpg",
			"http://lh3.googleusercontent.com/-9cNtqjFkP6k/R89aU0wIzFI/AAAAAAAABjE/P5-tmiRC7t4/s144/Puppy%25252C%252520etc%252520029.jpg",
			"http://lh5.googleusercontent.com/-YoOVHVvJKto/S2iw9KukehI/AAAAAAAAB0c/Okh08kLAL-M/s144/Dharma%252527s%25252009%252520puppies%252520008.JPG",
			"http://lh6.googleusercontent.com/-tuLIDkakZbQ/SYTWhxPe-JI/AAAAAAAAAM4/k6RcR5PaaC0/s144/Boston%252520puppies%252520w%252520parents%252520017.JPG",
			"http://lh4.googleusercontent.com/-YbnJdmZcMBM/SzaDSUNIY6I/AAAAAAAAAGg/tkwPJa2myz4/s144/Puppy.jpg",
			"http://lh5.googleusercontent.com/-fr8M7MBHfvM/SX90LvTHXeI/AAAAAAAAASw/8etmPPUHFr8/s144/Puppies%2525202008%252520047.jpg",
			"http://lh3.googleusercontent.com/-PNcUUlZHmdI/SOzhfiIQr1I/AAAAAAAAAEs/Yzw7irlYG6A/s144/cam%252520phone057.jpg",
			"http://lh4.googleusercontent.com/-JiKCUuog-Ig/SWgI6-IUGhI/AAAAAAAAAHk/m1i1bdDfS0s/s144/Puppies%2525202008%252520047.jpg",
			"http://lh5.googleusercontent.com/-Ar8Q5gGH-GY/SKJDS0xbSlI/AAAAAAAAAd8/UuicYd4K5vU/s144/Rogue%252527s%252520Beagle%252520Puppies%252520004.JPG",
			"http://lh4.googleusercontent.com/-741Wx9jta_w/S1j2W0FAtnI/AAAAAAAAD98/yB-my5eMHOE/s144/puppy%252520003.jpg",
			"http://lh3.googleusercontent.com/-OjI4YMMQEyA/R-75vVw7a4I/AAAAAAAAGCQ/o7fXl5isFH4/s144/puppy%252520013.jpg",
			"http://lh3.googleusercontent.com/-533cT0XPQ08/S15DLh6-f1I/AAAAAAAAEFE/vaV9YYv5oII/s144/John%252520with%252520Cousins%252520and%252520puppies%252520in%252520my%252520room%252520at%252520Mason%252520house%252520001.jpg",
			"http://lh4.googleusercontent.com/-bB0iY3STdJk/SdbRqCEdqKI/AAAAAAAABHA/Kx0MiY0Hy4k/s144/New%252520puppies%252520and%252520videos%252520013.jpg",
			"http://lh3.googleusercontent.com/-0bcXzpYv3Jw/S15JiuqyewI/AAAAAAAAE6M/oZeUTA9WUds/s144/John%252520with%252520Cousins%252520and%252520puppies%252520in%252520my%252520room%252520at%252520Mason%252520house%252520001-1.jpg",
			"http://lh4.googleusercontent.com/-ror72pRzrsA/Szpk4Qq0OgI/AAAAAAAASJQ/pyTNsTyTM90/s144/PC270242.JPG",
			"http://lh6.googleusercontent.com/-HXAEWynPTYo/SyAkWiKDlYI/AAAAAAAAAO8/zjkf37ZFYf0/s144/Bullies%252520and%252520Mae%252520Mae%252520puppies%25252012-09-09%252520026.JPG",
			"http://lh4.googleusercontent.com/-k5M_7PPvIdE/SGg0XXC-u5I/AAAAAAAAAhI/f_PQ5HCBqu4/s144/IMG_2965.JPG",
			"http://lh4.googleusercontent.com/-05uTVNrWxq0/SDohclU_zAI/AAAAAAAAC0E/MgWiPwtBGYo/s144/Puppies%252520-%252520Galena%252520004.jpg",
			"http://lh5.googleusercontent.com/-95qC9np17q4/SEMrOPi520I/AAAAAAAAMmE/GEB8bmn4qiY/s144/DSC_5613_crop-puppy.jpg",
			"http://lh4.googleusercontent.com/-VGnuQ6mkNzk/TQ9w8KjMcMI/AAAAAAAAAIE/ZtuCJtWgJIA/s144/dog.jpeg",
			"http://lh6.googleusercontent.com/-ddkPYGwPcL0/TTMbNmTwThI/AAAAAAAAoD8/TwZCLDHN4QA/s144/IMG_1968.JPG",
			"http://lh3.googleusercontent.com/-cVkjyI2Xu58/TJQdOUOtbGI/AAAAAAAACvc/e6ck3jQuNkQ/s144/IMG_5184_BW.jpg",
			"http://lh4.googleusercontent.com/-073bHMpDWXc/R4_8KcTbqoI/AAAAAAAAAJA/9U9MU7CtOgA/s144/winky.jpg",
			"http://lh3.googleusercontent.com/-wIyNiZEFiPA/R-700BDYzcI/AAAAAAAAAE4/CSOIbSjOlww/s144/nalas%252520%252520puppies%2525205.JPG",
			"http://lh4.googleusercontent.com/-LDn8-v2uT-I/Sa6cUdzs75I/AAAAAAAADrM/o0_n_ddaqG0/s144/Kadus%252520and%252520Puppy-5.jpg",
			"http://lh4.googleusercontent.com/-1TgmOCVu8PI/SMH-iNyu_NI/AAAAAAAAANg/ojPyuFpfHRI/s144/Puppy%252520Time%252520%2525286%252529.JPG",
			"http://lh3.googleusercontent.com/-E4_A-UUfH0M/SSlkkiEj4JI/AAAAAAAAFgw/41aOB17aT0w/s144/DSC_0006%252520%2525282%252529.JPG",
			"http://lh3.googleusercontent.com/-qx75q1d5Ai4/Svh1RbnNUOI/AAAAAAAAALw/uOkDr_nDpgk/s144/PICT0093.JPG",
			"http://lh3.googleusercontent.com/-U_1j_tUOqsY/SdyHzFKGspI/AAAAAAAAD2c/254tkzYIAmI/s144/Trinity%25252C%252520Labrador%252520Puppies.jpg",
			"http://lh5.googleusercontent.com/-GrtgcUGzIic/R61FHIJTvgI/AAAAAAAAA6M/a_vvHlBSz-0/s144/IMG_7367.JPG",
			"http://lh4.googleusercontent.com/-1fzxwg-PltY/SPT6AQqGDMI/AAAAAAAADsc/K0YN-2YGT8s/s144/puppy%252520003.jpg",
			"http://lh4.googleusercontent.com/-H2OS1zcY6Rc/STsHuomWGqI/AAAAAAAAAEc/w9FNLN9Bt9U/s144/puppies%252520023.jpg",
			"http://lh3.googleusercontent.com/-CZCqdO8LuNY/S3c5yjttP7I/AAAAAAAAF8E/6HwydqmblUM/s144/LuLu%252527s%252520Baby%252520%252526%252520Puppy%252520Pics%252520and%252520her%252520Parents%252520Ayla%252520%252526%252520Pal%252520Pics%252520020.jpg",
			"http://lh5.googleusercontent.com/-CD-TEO-x_50/T8e4E9hKD3I/AAAAAAAAIV4/aHaE9GPHCHU/s144/Chocolate-Dachshund-Puppies-20120529-1000.jpg",
			"http://lh6.googleusercontent.com/-Tt4AhR2YywY/SRj-i7xevcI/AAAAAAAACQo/uFH_ZiVX_lY/s144/Miley-6.jpg",
			"http://lh5.googleusercontent.com/-tGysQwBxN-Y/SdfhHDM1VQI/AAAAAAAAEUo/ht8C9ijb0OE/s144/Piggy%252520Puppy%252520Pictures%252520241.JPG",
			"http://lh3.googleusercontent.com/-exR-_21tXEw/SUQaY0E3hwI/AAAAAAAAJE0/S9eKuFG7A04/s144/31607LivingRoomKitties22.jpg",
			"http://lh4.googleusercontent.com/-OB9VFpxHNUk/SSHXCcEV2yI/AAAAAAAABU8/ph5ITHjYY9A/s144/election%25252C%252520tahoe%25252C%252520puppy%252520125.jpg",
			"http://lh4.googleusercontent.com/-yviKJ58c0g8/SzXThSwhozI/AAAAAAAACms/4E_wqU7XFTA/s144/Chase%252520%252526%252520puppy%2525200309.jpg",
			"http://lh6.googleusercontent.com/-ztFDjZz-AY8/R-76TFw7bLI/AAAAAAAAGEo/_hwM6VDKfbA/s144/puppy%252520006.jpg",
			"http://lh4.googleusercontent.com/-Q_OY1MS1MAs/R7vNePTwbVI/AAAAAAAAC3U/m7FphdzISNE/s144/Maya%252520and%252520the%252520beagle%252520puppy.jpg",
			"http://lh3.googleusercontent.com/-U5LQwiYRUu4/SdUGhaVAQiI/AAAAAAAABvM/NonY4EUtLv8/s144/DVGRR%252520puppies%2525202%252520Apr%2525202009%252520046.jpg",
			"http://lh3.googleusercontent.com/-r5xxbPXoixo/SLQOrZ8dP1I/AAAAAAAAUs0/xvlC_7FsZ7Y/s144/My%252520Puppy%252520%252526%252520Family%252520426.jpg",
			"http://lh3.googleusercontent.com/-3XU-f5CwRmM/SEDvhTERAMI/AAAAAAAAAFs/jpFXMhVdmVk/s144/46puppyfl.jpg",
			"http://lh3.googleusercontent.com/-TsOHrtsALGo/S2TlU5WnUuI/AAAAAAAABPI/ARW3MQcMgCM/s144/Dharma%252527s%25252009%252520puppies%252520058.JPG",
			"http://lh5.googleusercontent.com/-3KvMDLB36w4/SHsyqD3B18I/AAAAAAAAAHE/pEQwIAMj9do/s144/cute-puppy.jpg",
			"http://lh3.googleusercontent.com/-paCIziiyAyM/TvSzsLi6MkI/AAAAAAAAHio/49OAz0fveXM/s144/Brown-Dachshund-Puppy-20111217-1000.jpg",
			"http://lh4.googleusercontent.com/-Rn33f6BWFrY/R6n4XyDL5AI/AAAAAAAAAPs/4jP_M2wnQk4/s144/vizsla-puppy-1.JPG",
			"http://lh3.googleusercontent.com/-RWrwow_hVfU/S3S3o3gz3lI/AAAAAAAADWI/j8zhesP1MD0/s144/French%252520Bulldog.jpg",
			"http://lh3.googleusercontent.com/-vWxZdXVPioI/SSGYasKD7aI/AAAAAAAAAZ4/y6nNdxpOv_o/s144/puppy%252520021.jpg",
			"http://lh5.googleusercontent.com/-LuynrNXaYE8/S3c5rwp-MHI/AAAAAAAAF7Y/26HHsOGBRnk/s144/LuLu%252527s%252520Baby%252520%252526%252520Puppy%252520Pics%252520and%252520her%252520Parents%252520Ayla%252520%252526%252520Pal%252520Pics%252520035.jpg",
			"http://lh4.googleusercontent.com/-EnWh9blmgCA/STrAQpmHMoI/AAAAAAAAAt0/UZGPz5aW3wk/s144/New%252520Puppy%252520175.jpg",
			"http://lh4.googleusercontent.com/-B0qrZ9Tjp2c/TdVTjcqlIuI/AAAAAAAAqgg/gOZfUzbEyAw/s144/Puppy%252520Photo%252520Shoot-232.jpg",
			"http://lh5.googleusercontent.com/-lxsJKatw84M/SzetOVPUGOI/AAAAAAAADNI/ACo-p5yaqnw/s144/LuLu%252527s%252520Baby%252520%252526%252520Puppy%252520Pics%252520and%252520her%252520Parents%252520Ayla%252520%252526%252520Pal%252520Pics%252520046.jpg",
			"http://lh6.googleusercontent.com/-usgM-z3dyD8/R74whhgBXcI/AAAAAAAAAEE/Eh2S9cVyg8E/s144/Puppy%252520w%252520pacifier.jpg",
			"http://lh5.googleusercontent.com/-CVQvFKz9Idk/SZhvaIOUOeI/AAAAAAAAB9E/tI1IjgWAPcQ/s144/Puppies%252520September%2525202005%252520006.jpg",
			"http://lh3.googleusercontent.com/-FWKvmp-Pvuw/S2Tl7tG8uZI/AAAAAAAABRE/cqDrjGtrlT4/s144/Dharma%252527s%25252009%252520puppies%252520030.JPG",
			"http://lh3.googleusercontent.com/-jv-yVLx1K_c/R9MAelxlL0I/AAAAAAAAR6o/MkRhnBs6WdM/s144/2008.03.08.puppies%252520%25252824%252529.JPG",
			"http://lh3.googleusercontent.com/-P3_NmhHottw/Sz4jNCKQZbI/AAAAAAAAAkI/l8LcBN-x8TU/s144/hungry-puppies%25255B1%25255D.jpg",
			"http://lh4.googleusercontent.com/-yrKwYt2VwLQ/R6KgXC3R9iI/AAAAAAAACKY/9vXRLqNycGU/s144/lineup-rascal.jpg",
			"http://lh4.googleusercontent.com/-dxIuSTLww6Y/SR9zMfwTlNI/AAAAAAAAAIo/Uc7FrUArNyE/s144/Caillee%252527s%252520Puppies%252520037.jpg",
			"http://lh5.googleusercontent.com/-3WLUDoMQYqY/SXKhuwYT1XI/AAAAAAAAA_M/__ePsyZyg1U/s144/Puppy%252520Shot%2525204.jpg",
			"http://lh3.googleusercontent.com/-eC9KIAmHPnQ/SHQuXPDuy2I/AAAAAAAACYA/5RgQ8NTQch8/s144/JAP_5362.jpg",
			"http://lh3.googleusercontent.com/-Xldzt2a0yyY/S0OUfTpqTJI/AAAAAAAAM6M/5Txi3yzpssU/s144/IMG_7064.JPG",
			"http://lh4.googleusercontent.com/-fqDNtQyfRDM/SIekJIkEksI/AAAAAAAAGqk/gHeGeVwafL4/s144/christmas-puppy.jpg",
			"http://lh4.googleusercontent.com/-xya4RjraTIc/SwL3wnpXWnI/AAAAAAAACnU/1taSh8VybQ8/s144/puppies.jpg",
			"http://lh3.googleusercontent.com/-qSIBDxUWNWA/TlAsVrZMCxI/AAAAAAAABBA/QLSwNyEWGn0/s144/022.JPG",
			"http://lh5.googleusercontent.com/-JLO-9C6D7Xc/SZt37bBQ67I/AAAAAAAAZ5U/ziExceSG4zI/s144/PUPPY.jpg",
			"http://lh5.googleusercontent.com/-uppxFdmXlV0/S9vIFXM0T9I/AAAAAAACc6k/iklDs6Ns55I/s144/P1050219.JPG",
			"http://lh4.googleusercontent.com/-B0Rgg1e3NZc/R6CcMbM6vtI/AAAAAAAAA78/PglhwBBxXY4/s144/IMG_8393.JPG"
    };

	public ImageAdapter() {
		mDownloader.setErrorDrawable(R.drawable.error_padded);
		mDownloader.setInProgressDrawable(R.drawable.loading_padded);
//	mDownloader.setAnimateImageAppearance(BitmapDownloader.AnimateAppearance.ANIMATE_ALWAYS);
	mDownloader.setAnimateImageAppearance(BitmapDownloader.AnimateAppearance.ANIMATE_AFTER_DOWNLOAD);
//	mDownloader.setAnimateImageAppearance(AnimateAppearance.ANIMATE_NEVER);
	}

	@Override
	public int getCount() {
		return URLS.length;
	}

	@Override
	public Object getItem(int index) {
		return URLS[index];
	}

	@Override
	public long getItemId(int index) {
		return index;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ImageView imageView = null;
		if (convertView == null) {
			LayoutInflater inflator = LayoutInflater.from(parent.getContext());
			convertView = inflator.inflate(R.layout.list_item, parent, false);
		}

		imageView = (ImageView) convertView.findViewById(R.id.imageView);

		mDownloader.download(URLS[position], imageView);

		return convertView;
	}

}
